using System;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Events;
namespace JWM
{
    public class JWM
    {
        static string JWMTag = " <color=red>[JWM] <color=white>";
        public static void Main()

        {

            CategoryBuilder.Create("John Wick Mod", "A catalogue of John Wick characters and items.", ModAPI.LoadSprite("logo_category.png"));
            #region People
            //Viggo Tarasov
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Viggo Tarasov",
                DescriptionOverride = "It's not what you did, son, that angers me so. It's who you did it to.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Viggo-Tarasov-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Viggo Tarasov/Viggo-Tarasov-skin.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);
                }

            }

            );
            //Iosef Tarasov
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Iosef Tarasov",
                DescriptionOverride = "Are you scared of the fuckin' boogeyman? I'm not.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Iosef-Tarasov-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Iosef Tarasov/Iosef-Tarasov-skin.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);
                }

            }

            );
            //John Wick
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "John Wick",
                DescriptionOverride = "It wasn't just a puppy.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/John-Wick-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/John Wick/John-Wick-skin.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);


                    PPF.PowerPackFrameworkFunctions.AddSkin(person, ModAPI.LoadTexture("Sprites/People/John Wick/Jacketless.png"), "John Wick's Jacketless Suit", "John Wick's Jacketless Suit\nIt's in.");
                    PPF.PowerPackFrameworkFunctions.AddSkin(person, ModAPI.LoadTexture("Sprites/People/John Wick/battle_damaged_wick.png"), "John Wick's Battle Damaged Suit", "John Wick's Battle Damaged Suit\nJacketless and bloody.");
                    PPF.PowerPackFrameworkFunctions.AddSkin(person, ModAPI.LoadTexture("Sprites/People/John Wick/all_black.png"), "John Wick's All-Black Suit", "John Wick's All-Black Suit\nBack in black");
                    PPF.PowerPackFrameworkFunctions.AddSkin(person, ModAPI.LoadTexture("Sprites/People/John Wick/silverhand.png"), "Johnny Silverhand's Classic Rocker Outfit", "Johnny Silverhand's Classic Rocker Outfit\nWake the fuck up, samurai.");
                    PPF.PowerPackFrameworkFunctions.AddSkin(person, ModAPI.LoadTexture("Sprites/People/John Wick/Neo.png"), "John Wick's Neo Cosplay", "John Wick's Neo Cosplay\nHeard he's a big fan of Keanu Reeves.");
                }

            }

            );
            //Wickson
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Wickson",
                DescriptionOverride = "Someone took his walkie talkie, he's not happy.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Wickson-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Wickson/Wickson.png");
                    var flesh = ModAPI.LoadTexture("Sprites/People/Wickson/wickson flesh layer.png");
                    var bone = ModAPI.LoadTexture("Sprites/People/Wickson/wickson bone layer.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin, flesh, bone, 1);
                    person.Limbs[0].gameObject.AddComponent<RogVoice>();


                    person.BoneBreakClips = new AudioClip[]
                    {
                ModAPI.LoadSound("Sounds/rogbrok.wav"),
                ModAPI.LoadSound("Sounds/roghurt.wav")
                     };
                    //use the helper function to set each texture
                    //parameters are as follows: 
                    //  skin texture, flesh texture, bone texture, sprite scale
                    //you can pass "null" to fall back to the original texture

                    //change procedural damage colours if they interfere with your texture (rgb 0-255)
                    person.SetBruiseColor(28, 0, 17); //main bruise colour. purple-ish by default
                    person.SetSecondBruiseColor(6, 0, 9); //second bruise colour. red by default
                    person.SetThirdBruiseColor(0, 0, 0); // third bruise colour. light yellow by default
                    person.SetRottenColour(255, 255, 255); // rotten/zombie colour. light yellow/green by default
                    person.SetBloodColour(6, 0, 9); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                }
            }


               );
            //Ares
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Ares",
                DescriptionOverride = "Be seeing you soon, John Wick.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Ares-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Ares/Ares-skin.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);
                }

            }



            );
            //Cassian
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Cassian",
                DescriptionOverride = "You killed my ward. Someone I was close to. An eye for an eye, John, you know how it goes.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Cassian-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Cassian/Cassian-skin.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);
                }

            }



            );
            //Santino
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Santino D'Antonio",
                DescriptionOverride = "No wife, no dog, no home. You have nothing, John. Vengeance is all you have left.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Santino-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Santino D'Antonio/Santino-skin.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);
                }

            }



            );
            //Avi
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Avi",
                DescriptionOverride = "Viggo, English, please! Come on.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Avi-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Avi/Avi-skin.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);
                }

            }



            );
            //Aurelio
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Aurelio",
                DescriptionOverride = "Yeah, well, because he stole John Wick's car, sir, and, uh, killed his dog.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Aurelio-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Aurelio/Aurelio-skin.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);
                }

            }



            );
            //Charon
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Charon",
                DescriptionOverride = "How good to see you again so soon, Mr. Wick.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Charon-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Charon/Charon-skin.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);

                    PPF.PowerPackFrameworkFunctions.AddSkin(person, ModAPI.LoadTexture("Sprites/People/Charon/Charon-Gray-Suit.png"), "Charon's Gray Suit", "Charon's Gray Suit\nThey will hunt you down.");


                }

            }



            );
            //Hex Henchmen
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Hex's Henchmen",
                DescriptionOverride = "Pawns In A Bigger Game",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Henchmen_Thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Hex Henchmen/Hex_Henchman_1.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);

                    PPF.PowerPackFrameworkFunctions.AddSkin(person, ModAPI.LoadTexture("Sprites/People/Hex Henchmen/Hex_Henchman_2.png"), "Hex's Henchmen", "Pawns In A Bigger Game");
                    PPF.PowerPackFrameworkFunctions.AddSkin(person, ModAPI.LoadTexture("Sprites/People/Hex Henchmen/Hex_Henchman_3.png"), "Hex's Henchmen", "Pawns In A Bigger Game");


                }

            }



            );
            //Marcus
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Marcus",
                DescriptionOverride = "There's no rhyme or reason to this life. It's days like today scattered among the rest.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Marcus-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Marcus/Marcus-skin.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);

                }

            }



            );
            //Winston
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Winston",
                DescriptionOverride = "Now, as I recall, weren't you the one tasked to dole out the beatings, not to receive them?",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Winston-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Winston/Winston-skin.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);

                    PPF.PowerPackFrameworkFunctions.AddSkin(person, ModAPI.LoadTexture("Sprites/People/Winston/Winston-off-white.png"), "Winston's Off-White Suit", "Winston's Off-White Suit\nI always did enjoy a little theater.");


                }

            }



            );
            //Abram
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Abram Tarasov",
                DescriptionOverride = "Can a man like you know peace?",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Abram-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Abram/Abram-skin.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);
                }

            }



            );
            //Bowery King
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Bowery King",
                DescriptionOverride = "Somebody, please! Get this man a gun!",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Bowery-King-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Bowery King/Bowery King-skin.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);
                }

            }



            );

            //Adjudicator
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "The Adjudicator",
                DescriptionOverride = "What are we going to do with John Wick?",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Adjudicator-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Adjudicator/The-Adjudicator.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);

                
                }

            }

            );
            //Zero
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Zero",
                DescriptionOverride = "Hey, John. That was a pretty good fight, huh?",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Zero-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Zero/Zero.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);


                }

            }

            );
            //Sofia
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Sofia",
                DescriptionOverride = "He shot my dog.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Sofia-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Sofia/Sofia.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);


                }

            }

            );
            //Hex
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Hex",
                DescriptionOverride = "John. Fucking. Wick.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Hex-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Hex/Hex.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);


                }

            }

            );
            //Edgar Wu
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Edgar Wu",
                DescriptionOverride = "Loyal to the end.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Edgar-Wu-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Edgar/Edgar.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);


                }

            }

            );
            //Osborn
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Osborn",
                DescriptionOverride = "Cheap thrills and overpriced drinks.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Osborn-Thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Osborn/Osborn-Skin.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);


                }

            }

            );
            //Yoshiko
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Yoshiko",
                DescriptionOverride = "She didn't stand a chance against someone like Wick.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Yoshiko-Thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Yoshiko/Yoshiko.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);
                    //PPF.PowerPackFrameworkFunctions.AddSkin(person, ModAPI.LoadTexture("Assets/People/Batman/skins/Batman_Unmasked.png"), "1", "Batman's Unmasked suit.");
                    person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Sprites/People/Yoshiko/Yoshiko head.png");
                    person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Sprites/People/flesh.png"));
                    person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Sprites/People/bone.png"));
                    person.Limbs[0].transform.localPosition = new Vector3(-0.023f, 0.7557f, 0);

                }

            }

            );
            //The Harbor Master
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "The Harbor Master",
                DescriptionOverride = "A war brews.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/HM_Thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/The-Harbor-Master/Harbor-Master.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);
                    person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Sprites/People/The-Harbor-Master/Harbor Master Head.png");
                    person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Sprites/People/flesh.png"));
                    person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Sprites/People/bone.png"));
                    person.Limbs[0].transform.localPosition = new Vector3(-0.0433f, 0.7557f, 0);

                }

            }

            );
            //Omega
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Human"),
                NameOverride = JWMTag + "Omega",
                DescriptionOverride = "She is my most loyal lieutenant.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Omega-Thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    var skin = ModAPI.LoadTexture("Sprites/People/Omega/Omega.png");
                    var person = Instance.GetComponent<PersonBehaviour>();
                    person.SetBodyTextures(skin);


                }

            }

            );



            #endregion

            #region Weapons
            //John Wick's Heckler and Koch P30L
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Pistol"),
                NameOverride = JWMTag + "<color=green>[Weapon]<color=white><color=white> John Wick's Heckler and Koch P30L",
                DescriptionOverride = "The iconic handgun used by John Wick",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/John-Wicks-Heckler-and-Koch-P30L-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Weapons/John-Wicks-Heckler-and-Koch-P30L.png");
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                    customCartridge.name = "John Wick's Heckler and Koch P30L - Cartridge";
                    customCartridge.Damage *= 0.8f;
                    customCartridge.StartSpeed *= 1.5f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
                    customCartridge.Recoil *= 0.7f;
                    customCartridge.ImpactForce *= 0.8f;
                    firearm.Cartridge = customCartridge;
                    firearm.ShotSounds = new AudioClip[] { ModAPI.LoadSound("Sounds/John-Wicks-Heckler-and-Koch-P30L.wav") };
                    Instance.FixColliders();

                    Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.3f, 0.12f);
                    Instance.GetComponent<FirearmBehaviour>().casingDirection = new Vector2(-0.2f, 0.54f);
                }

            }

            );
            //Marcus' Browning Hi-Power
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Pistol"),
                NameOverride = JWMTag + "<color=green>[Weapon]<color=white><color=white> Marcus' Browning Hi-Power",
                DescriptionOverride = "The iconic handgun used by Marcus",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Browning-Hi-Power-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Weapons/Browning-Hi-Power.png");
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                    customCartridge.name = "John Wick's Heckler and Koch P30L - Cartridge";
                    customCartridge.Damage *= 0.8f;
                    customCartridge.StartSpeed *= 1.5f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
                    customCartridge.Recoil *= 0.7f;
                    customCartridge.ImpactForce *= 0.8f;
                    firearm.Cartridge = customCartridge;
                    firearm.ShotSounds = new AudioClip[] { ModAPI.LoadSound("Sounds/John-Wicks-Heckler-and-Koch-P30L.wav") };
                    Instance.FixColliders();

                }

            }

            );
            //Glock 26 Silenced
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Pistol"),
                NameOverride = JWMTag + "<color=green>[Weapon]<color=white><color=white> Suppressed Glock 26",
                DescriptionOverride = "The star of an unrealistic fight scene",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/G26S_Thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Weapons/Glock_26_Silenced.png");
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                    customCartridge.name = "John Wick's Heckler and Koch P30L - Cartridge";
                    customCartridge.Damage *= 0.8f;
                    customCartridge.StartSpeed *= 1.5f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
                    customCartridge.Recoil *= 0.7f;
                    customCartridge.ImpactForce *= 0.8f;
                    firearm.Cartridge = customCartridge;
                    firearm.ShotSounds = new AudioClip[] { ModAPI.LoadSound("Sounds/Silenced_Gunshot.mp3") };
                    Instance.FixColliders();

                    Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.33f, 0.07f);
                    Instance.GetComponent<FirearmBehaviour>().casingDirection = new Vector2(-0.2f, 0.54f);
                    Instance.GetComponent<FirearmBehaviour>().casingPosition = new Vector2(-0.14f, 0.05f);
                }

            }

            );
            //Remington 1858 New Model Army
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Pistol"),
                NameOverride = JWMTag + "<color=green>[Weapon]<color=white><color=white> John Wick's Custom Remington 1858 New Model Army",
                DescriptionOverride = "Handmade.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Remington_Thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Weapons/remington_1858_new_model_army.png");
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                    customCartridge.name = "John Wick's Heckler and Koch P30L - Cartridge";
                    customCartridge.Damage *= 0.8f;
                    customCartridge.StartSpeed *= 1.5f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
                    customCartridge.Recoil *= 0.7f;
                    customCartridge.ImpactForce *= 0.8f;
                    firearm.Cartridge = customCartridge;
                    firearm.ShotSounds = new AudioClip[] { ModAPI.LoadSound("Sounds/John-Wicks-Heckler-and-Koch-P30L.wav") };
                    Instance.FixColliders();

                    Instance.GetComponent<FirearmBehaviour>().EjectShells = false;
                    Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.3f, 0.1f);
                    
                }

            }

            );
            //John Wick's Taran Tactical Sig Sauer MPX Carbine
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                NameOverride = JWMTag + "<color=green>[Weapon]<color=white> John Wick's Taran Tactical Sig Sauer MPX Carbine",
                DescriptionOverride = "Defensive Weaponry",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/TTSigSauer_Thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Weapons/Taran_Tactical_Sig_Mpx.png");
                    Instance.FixColliders();
                    Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.75f, 0.1f);
                    Instance.GetComponent<FirearmBehaviour>().casingPosition = new Vector2(-0.2f, 0.1f);
                    Instance.GetComponent<FirearmBehaviour>().casingDirection = new Vector2(-0.2f, 0.54f);

                }

            }

            );
            //Coharie Arms MP-10
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                NameOverride = JWMTag + "<color=green>[Weapon]<color=white> Coharie Arms MP-10",
                DescriptionOverride = "It may be a clone but it's just as good.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Coharie_Thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Weapons/Coharie_Arms_MP-10.png");
                    Instance.FixColliders();
                    Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.53f, 0.1f);
                    Instance.GetComponent<FirearmBehaviour>().casingPosition = new Vector2(-0.18f, 0.16f); 
                    Instance.GetComponent<FirearmBehaviour>().casingDirection = new Vector2(-0.2f, 0.54f);

                }

            }

            );
            //Heckler & Koch MP5k
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                NameOverride = JWMTag + "<color=green>[Weapon]<color=white> Heckler & Koch MP5k",
                DescriptionOverride = "It won't save you from a car",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MP5K_Thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Weapons/Heckler_Koch_MP5k.png");
                    Instance.FixColliders();
                    Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.3435f, 0.125f);
                    Instance.GetComponent<FirearmBehaviour>().casingPosition = new Vector2(0f, 0.18f);
                    Instance.GetComponent<FirearmBehaviour>().casingDirection = new Vector2(-0.2f, 0.55f);

                }

            }

            );
            //John Wick's Taran Tactical TR-15 Ultralight
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                NameOverride = JWMTag + "<color=green>[Weapon]<color=white> John Wick's Taran Tactical TR-15 Ultralight",
                DescriptionOverride = "The same rifle that John threw at some dudes head.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Taran-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Weapons/JW_Taran_Tactical_TR-1.png");
                    Instance.FixColliders();
                    Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.9f, 0.1f);
                    Instance.GetComponent<FirearmBehaviour>().casingPosition = new Vector2(-0.18f, 0.168f);
                    Instance.GetComponent<FirearmBehaviour>().casingDirection = new Vector2(-0.2f, 0.55f);

                }

            }

            );
            //John Wick's Benelli M4
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                NameOverride = JWMTag + "<color=green>[Weapon]<color=white><color=white> John Wick's Benelli M4",
                DescriptionOverride = "John Wick's other iconic shotgun",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Benelli_Thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Weapons/Benelli_M4.png");
                    Instance.FixColliders();


                }

            }

            );
            //Marcus' Ruger M77
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                NameOverride = JWMTag + "<color=green>[Weapon]<color=white><color=white> Marcus' Ruger M77",
                DescriptionOverride = "John Wick's other iconic shotgun",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Ruger_Thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Weapons/Ruger_M77.png");
                    Instance.FixColliders();
                    Instance.GetComponent<FirearmBehaviour>().casingDirection = new Vector2(-0.2f, 0.54f);

                }

            }

            );
            //Savage 10BA
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                NameOverride = JWMTag + "<color=green>[Weapon]<color=white><color=white> Savage 10BA",
                DescriptionOverride = "Iosef's Last Stand",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Savage_Thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Weapons/Savage_Model_10BA.png");
                    Instance.FixColliders();

                    Instance.GetComponent<FirearmBehaviour>().casingDirection = new Vector2(-0.2f, 0.54f);
                }

            }

            );
            //John Wick's DTA Stealth Recon Scout
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                NameOverride = JWMTag + "<color=green>[Weapon]<color=white><color=white> John Wick's DTA Stealth Recon Scout",
                DescriptionOverride = "Iosef's Last Stand",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/DTA_Thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Weapons/DTA_Stealth_Recon_Scout.png");
                    Instance.FixColliders();
                    Instance.GetComponent<FirearmBehaviour>().casingDirection = new Vector2(-0.2f, 0.55f);
                }

            }

            );
            //Pencil
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Knife"),
                NameOverride = JWMTag + "<color=green>[Weapon]<color=white> Pencil",
                DescriptionOverride = "Once used to kill three men in a bar.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Pencil-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Weapons/Pencil.png",4.8f);
                    Instance.FixColliders();

                }

            }

            );

            //Smoke Grenade
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Rod"),
                NameOverride = JWMTag + "<color=green>[Weapon]<color=white> Smoke Grenade",
                DescriptionOverride = "Not the only white dust known to disable someone's vision, though the most effective.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Smoke-Thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Weapons/Smoke_Grendae.png", 1);
                    Instance.FixColliders();
                    Material material = new Material(ModAPI.FindMaterial("Sprites-Default"));
                    Material TrailMaterial = new Material(ModAPI.FindMaterial("Sprites-Default"));
                    material.mainTexture = ModAPI.LoadTexture("Sprites/Weapons/Dust.png");
                    var sound = ModAPI.LoadSound("Sounds/Smoke_Grenade.wav");

                    Instance.AddComponent<UseEventTrigger>().Action = () =>
                    {
                        //add a particle system component to Instance that makes grow in and fade out
                        Instance.GetComponent<AudioSource>().PlayOneShot(sound);
                        GameObject Particle = new GameObject();
                        Particle.transform.SetParent(Instance.transform,false);
                        Particle.AddComponent<ParticleSystem>();
                        var main = Particle.GetComponent<ParticleSystem>().main;
                        main.startSpeed = 0.4f;
                        Particle.GetComponent<ParticleSystemRenderer>().material = material;
                        var coL = Particle.GetComponent<ParticleSystem>().colorOverLifetime;
                        Particle.GetComponent<ParticleSystem>().simulationSpace = ParticleSystemSimulationSpace.World;
                        coL.color = new ParticleSystem.MinMaxGradient(new Gradient()
                        {
                            mode = GradientMode.Blend,
                            alphaKeys = new GradientAlphaKey[]
                            {
                                new GradientAlphaKey(0,0),
                                new GradientAlphaKey(1,0.2f),
                                new GradientAlphaKey(0,1)
                            },
                            colorKeys = new GradientColorKey[]
                            {
                                new GradientColorKey(new Color(0.3f,0.3f,0.3f),0),
                                new GradientColorKey(new Color(0.3f,0.3f,0.3f),1)
                            }
                        });
                        coL.enabled = true;
                        //Make the particle system Rotate over time
                        var rot = Particle.GetComponent<ParticleSystem>().rotationOverLifetime;
                        rot.enabled = true;
                        //make the particle system shape radius 0
                        var shape = Particle.GetComponent<ParticleSystem>().shape;
                        shape.enabled = true;
                        shape.radius = 0;
                        //Make the particle system size over time to grow
                        var size = Particle.GetComponent<ParticleSystem>().sizeOverLifetime;
                        size.enabled = true;
                        size.size = new ParticleSystem.MinMaxCurve(0.5f, new AnimationCurve(new Keyframe(0, 4), new Keyframe(0.5f, 5), new Keyframe(1, 6)));
                        main.startLifetime = 12;
                        Particle.GetComponent<ParticleSystemRenderer>().sortingLayerName = "Top";
                    };

                }

            }

            );

            //Switch Blade
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Knife"),
                NameOverride = JWMTag + "<color=green>[Weapon]<color=white> Switch Blade",
                DescriptionOverride = "Sometimes a comb, sometimes you lose your wallet keys and phone.\n-Interact with it to flip the blade in and out.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Wick_Knife_thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Weapons/Wick_Knife_Bladeless.png",2.4f);
                    Instance.AddComponent<Switchblade>().newSprite = ModAPI.LoadSprite("Sprites/Weapons/Wick_Knife.png",2.4f);
                    Instance.GetComponent<Switchblade>().FlipSound = ModAPI.LoadSound("Sounds/switch blade.wav");
                    Instance.GetComponent<BoxCollider2D>().size = new Vector2(Instance.GetComponent<BoxCollider2D>().size.x, Instance.GetComponent<BoxCollider2D>().size.y / 2);
                    Instance.GetComponent<BoxCollider2D>().offset = new Vector2(Instance.GetComponent<BoxCollider2D>().offset.x, -0.2f);

                }

            }

            );
            //Colt Python
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Pistol"),
                NameOverride = JWMTag + "<color=green>[Weapon]<color=white><color=white> Colt Python",
                DescriptionOverride = "",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Colt-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Weapons/Colt-Python.png");
                    Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.27f, 0.1f);
                    Instance.GetComponent<FirearmBehaviour>().EjectShells = false;


                }

            }

            );

            //Pencil
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Brick"),
                NameOverride = JWMTag + "<color=green>[Weapon]<color=white> John's Dog",
                DescriptionOverride = "John's excuse to kill literally thousands of people, pencil or otherwise",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Dogg.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/tombstone.png");
                    Instance.FixColliders();

                }

            }

            );
            //Katana
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Knife"),
                NameOverride = JWMTag + "<color=green>[Weapon]<color=white> Zero's Katana",
                DescriptionOverride = "Pretty cool.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/katana-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Weapons/Katana.png");
                    Instance.FixColliders();

                }

            }

            );
            //John Wick's Kel-Tec KSG
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                NameOverride = JWMTag + "<color=green>[Weapon]<color=white><color=white> John Wick's Kel-Tec KSG",
                DescriptionOverride = "The iconic shotgun used by John Wick",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Kel-tec-ksg-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Weapons/Kel-tec-KSG.png");
                    Instance.FixColliders();
                    Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.65f, 0.1f);
                    

                }

            }

            );
            #endregion

            #region Vehicles
            //Boss 429
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Car"),
                NameOverride = JWMTag + "<color=yellow>[Vehicle]<color=white> Boss 429",
                DescriptionOverride = "The wheels of a dogless Man.",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Car-thumb.png"),
                AfterSpawn = (Instance) =>

                {
                    Component.Destroy(Instance.transform.GetChild(0).GetComponent<RandomCarTextureBehaviour>());
                    Instance.transform.GetChild(0).GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Cars/Johns Bosa/Car Body.png");
                    Instance.transform.GetChild(2).GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Cars/Johns Bosa/Car Wheel.png");
                    Instance.transform.GetChild(1).GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Cars/Johns Bosa/Car Wheel.png");
                    Instance.transform.GetChild(0).gameObject.GetComponent<CarBehaviour>().WheelJoints[1].anchor = new Vector2(2.0f, -0.8f);
                    Instance.transform.GetChild(0).gameObject.GetComponent<CarBehaviour>().WheelJoints[0].anchor = new Vector2(-1.98f, -0.8f);
                    Instance.transform.GetChild(0).gameObject.GetComponent<AudioSource>().clip = ModAPI.LoadSound("Sounds/Bosa Loop.wav");
                    Instance.transform.GetChild(3).GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Cars/Johns Bosa/Car Hood.png");
                    Instance.transform.GetChild(3).transform.localPosition += Vector3.up * 0.05f;
                    Instance.transform.GetChild(0).transform.GetChild(0).GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Cars/Johns Bosa/Car Insides.png");
                    GameObject.Destroy(Instance.transform.GetChild(6).gameObject);
                    Instance.transform.GetChild(5).GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Cars/Johns Bosa/Car Door.png");
                    Instance.transform.GetChild(5).transform.localPosition = new Vector3(-0.05703688f, 0.1f, 0.0f);
                    Instance.transform.GetChild(4).GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Cars/Johns Bosa/Car Boot.png");
                    Instance.transform.GetChild(4).transform.localPosition = new Vector3(-3.1f, 0.1f, 0.0f);

                }

            }

            );
            //Yamaha MT-09
            ModAPI.Register(new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Car"),
                NameOverride = JWMTag + "<color=yellow>[Vehicle]<color=white> Yamaha MT-09",
                DescriptionOverride = "Two wheels are better than 4... wait, that's not right...",
                CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/foikin_boik_aeee.png"),
                AfterSpawn = (Instance) =>

                {
                    Instance.transform.GetChild(0).gameObject.AddComponent<LegsIgnore>();
                    Component.Destroy(Instance.transform.GetChild(0).GetComponent<RandomCarTextureBehaviour>());
                    Instance.transform.GetChild(0).GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Cars/Yamaha MT-09/Bike Body.png");
                    Instance.transform.GetChild(0).gameObject.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                    {
                        ModAPI.LoadSprite("Sprites/Cars/Yamaha MT-09/Bike_Body_Black.png"),
                        ModAPI.LoadSprite("Sprites/Cars/Yamaha MT-09/Bike_Body_Blue.png"),
                        ModAPI.LoadSprite("Sprites/Cars/Yamaha MT-09/Bike_Body_Orange.png"),
                        ModAPI.LoadSprite("Sprites/Cars/Yamaha MT-09/Bike_Body_Purple.png"),
                        ModAPI.LoadSprite("Sprites/Cars/Yamaha MT-09/Bike_Body_Red.png"),
                        ModAPI.LoadSprite("Sprites/Cars/Yamaha MT-09/Bike_Body_Striped.png"),
                        ModAPI.LoadSprite("Sprites/Cars/Yamaha MT-09/Bike Body.png"),
                    };
                    Instance.transform.GetChild(0).gameObject.FixColliders();
                    Instance.transform.GetChild(2).GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Cars/Yamaha MT-09/Bike Wheel.png");
                    Instance.transform.GetChild(1).GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Cars/Yamaha MT-09/Bike Wheel.png");
                    Instance.transform.GetChild(7).GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/Cars/Yamaha MT-09/Engine.png");
                    Physics2D.IgnoreCollision(Instance.transform.GetChild(0).GetComponent<Collider2D>(), Instance.transform.GetChild(2).GetComponent<Collider2D>());
                    Physics2D.IgnoreCollision(Instance.transform.GetChild(0).GetComponent<Collider2D>(), Instance.transform.GetChild(1).GetComponent<Collider2D>());
                    Physics2D.IgnoreCollision(Instance.transform.GetChild(0).GetComponent<Collider2D>(), Instance.transform.GetChild(7).GetComponent<Collider2D>());
                    Physics2D.IgnoreCollision(Instance.transform.GetChild(0).GetComponent<Collider2D>(), Instance.transform.GetChild(8).GetComponent<Collider2D>());
                    Instance.transform.GetChild(7).transform.localPosition = new Vector3(0.04252434f, -0.2721229f);
                    Instance.transform.GetChild(8).transform.localPosition = new Vector3(0.1422426f, 0.1096239f);
                    Instance.transform.GetChild(2).transform.localPosition  = new Vector2(1.018855f, -0.5804803f);
                    Instance.transform.GetChild(1).transform.localPosition = new Vector2(-1.313431f, -0.5804803f);
                    Instance.transform.GetChild(0).gameObject.GetComponent<CarBehaviour>().WheelJoints[1].anchor = new Vector2(1.018855f, -0.5804803f);
                    Instance.transform.GetChild(0).gameObject.GetComponent<CarBehaviour>().WheelJoints[0].anchor = new Vector2(-1.313431f, -0.5804803f);
                    Instance.transform.GetChild(0).gameObject.GetComponent<AudioSource>().clip = ModAPI.LoadSound("Sounds/Bosa Loop.wav");
                    GameObject.Destroy(Instance.transform.GetChild(3).gameObject);
                    GameObject.Destroy(Instance.transform.GetChild(0).transform.GetChild(0).gameObject);
                    GameObject.Destroy(Instance.transform.GetChild(6).gameObject);
                    GameObject.Destroy(Instance.transform.GetChild(5).gameObject);
                    GameObject.Destroy(Instance.transform.GetChild(4).gameObject);

                }

            }

            );
            #endregion

            #region Animalscuztheytakeupalotofspace

            ModAPI.Register( //dog
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = JWMTag + "Dog",
                    DescriptionOverride = "dog",
                    CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("DogCreatureSprites/DogThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        foreach (var limb in Instance.GetComponent<PersonBehaviour>().Limbs)
                        {
                            if (!limb.HasBrain)
                            {
                                limb.transform.parent.localPosition = Vector3.zero;
                            }
                            else
                            {
                                limb.transform.GetChild(0).gameObject.SetActive(false); //brain matter stuff
                            }
                            if (limb.gameObject.GetComponent<GripBehaviour>() != null)
                            {
                                GameObject.Destroy(limb.gameObject.GetComponent<GripBehaviour>());
                            }
                        }


                        PersonBehaviour person = Instance.GetComponent<PersonBehaviour>();
                        person.CountDeathAsStat = false;
                        GameObject Limb1 = person.Limbs[0].gameObject;
                        Limb1.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteSkin1.png");
                        Limb1.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteFlesh1.png").texture);
                        Limb1.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteBone1.png").texture);
                        Limb1.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteDamage1.png").texture);
                        Limb1.transform.localPosition = new Vector3(0.3714286f, 0.1714286f, 0f);
                        Limb1.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb1.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Head;
                        Limb1.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb1.GetComponent<SpriteRenderer>().sortingOrder = 1;
                        Limb1.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb1.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb1.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb1.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb1.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb1.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb1.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb1.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb1.AddComponent<GripBehaviour>().GripPosition = new Vector3(0.1092808f, -0.08439516f, ModAPI.PixelSize * 6f);
                        Limb1.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb1.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb1.GetComponent<LimbBehaviour>().IsLethalToBreak = true;
                        Limb1.GetComponent<LimbBehaviour>().HasBrain = true;
                        GameObject Limb2 = person.Limbs[1].gameObject;
                        Limb2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteSkin2.png");
                        Limb2.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteFlesh2.png").texture);
                        Limb2.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteBone2.png").texture);
                        Limb2.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteDamage2.png").texture);
                        Limb2.transform.localPosition = new Vector3(0.1714286f, 0.01428571f, 0f);
                        Limb2.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb2.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Torso;
                        Limb2.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb2.GetComponent<SpriteRenderer>().sortingOrder = 0;
                        Limb2.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb2.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb2.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb2.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb2.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb2.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb2.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb2.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb2.GetComponent<CirculationBehaviour>().IsPump = true;
                        Limb2.GetComponent<LimbBehaviour>().HasLungs = true;
                        Limb2.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb2.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb3 = person.Limbs[2].gameObject;
                        Limb3.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteSkin3.png");
                        Limb3.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteFlesh3.png").texture);
                        Limb3.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteBone3.png").texture);
                        Limb3.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteDamage3.png").texture);
                        Limb3.transform.localPosition = new Vector3(-0.1285714f, 0f, 0f);
                        Limb3.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb3.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Torso;
                        Limb3.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb3.GetComponent<SpriteRenderer>().sortingOrder = 0;
                        Limb3.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb3.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb3.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb3.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb3.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb3.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb3.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb3.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb3.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb3.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb3.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb3.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb4 = person.Limbs[3].gameObject;
                        Limb4.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteSkin4.png");
                        Limb4.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteFlesh4.png").texture);
                        Limb4.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteBone4.png").texture);
                        Limb4.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteDamage4.png").texture);
                        Limb4.transform.localPosition = new Vector3(0.1428571f, -0.08571429f, 0f);
                        Limb4.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb4.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb4.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb4.GetComponent<SpriteRenderer>().sortingOrder = 1;
                        Limb4.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb4.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb4.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb4.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb4.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb4.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb4.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb4.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb4.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb4.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb4.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb4.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb5 = person.Limbs[4].gameObject;
                        Limb5.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteSkin5.png");
                        Limb5.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteFlesh5.png").texture);
                        Limb5.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteBone5.png").texture);
                        Limb5.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteDamage5.png").texture);
                        Limb5.transform.localPosition = new Vector3(-0.1571429f, -0.08571429f, 0f);
                        Limb5.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb5.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb5.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb5.GetComponent<SpriteRenderer>().sortingOrder = 1;
                        Limb5.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb5.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb5.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb5.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb5.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb5.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb5.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb5.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb5.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb5.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb5.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb5.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb6 = person.Limbs[5].gameObject;
                        Limb6.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteSkin6.png");
                        Limb6.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteFlesh6.png").texture);
                        Limb6.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteBone6.png").texture);
                        Limb6.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteDamage6.png").texture);
                        Limb6.transform.localPosition = new Vector3(0.1428571f, -0.08571429f, 0f);
                        Limb6.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb6.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb6.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb6.GetComponent<SpriteRenderer>().sortingOrder = -1;
                        Limb6.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb6.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb6.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb6.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb6.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb6.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb6.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb6.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb6.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb6.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb6.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb6.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb7 = person.Limbs[6].gameObject;
                        Limb7.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteSkin7.png");
                        Limb7.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteFlesh7.png").texture);
                        Limb7.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteBone7.png").texture);
                        Limb7.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteDamage7.png").texture);
                        Limb7.transform.localPosition = new Vector3(-0.1571429f, -0.08571429f, 0f);
                        Limb7.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb7.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb7.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb7.GetComponent<SpriteRenderer>().sortingOrder = -1;
                        Limb7.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb7.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb7.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb7.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb7.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb7.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb7.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb7.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb7.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb7.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb7.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb7.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb8 = person.Limbs[7].gameObject;
                        Limb8.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteSkin8.png");
                        Limb8.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteFlesh8.png").texture);
                        Limb8.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteBone8.png").texture);
                        Limb8.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteDamage8.png").texture);
                        Limb8.transform.localPosition = new Vector3(-0.1285714f, -0.2571429f, 0f);
                        Limb8.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb8.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb8.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb8.GetComponent<SpriteRenderer>().sortingOrder = 1;
                        Limb8.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb8.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb8.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb8.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb8.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb8.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb8.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb8.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb8.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb8.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb8.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb8.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb9 = person.Limbs[8].gameObject;
                        Limb9.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteSkin9.png");
                        Limb9.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteFlesh9.png").texture);
                        Limb9.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteBone9.png").texture);
                        Limb9.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteDamage9.png").texture);
                        Limb9.transform.localPosition = new Vector3(0.1714286f, -0.2571429f, 0f);
                        Limb9.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb9.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb9.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb9.GetComponent<SpriteRenderer>().sortingOrder = 1;
                        Limb9.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb9.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb9.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb9.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb9.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb9.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb9.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb9.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb9.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb9.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb9.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb9.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb10 = person.Limbs[9].gameObject;
                        Limb10.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteSkin10.png");
                        Limb10.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteFlesh10.png").texture);
                        Limb10.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteBone10.png").texture);
                        Limb10.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteDamage10.png").texture);
                        Limb10.transform.localPosition = new Vector3(-0.1285714f, -0.2571429f, 0f);
                        Limb10.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb10.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb10.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb10.GetComponent<SpriteRenderer>().sortingOrder = -1;
                        Limb10.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb10.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb10.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb10.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb10.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb10.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb10.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb10.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb10.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb10.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb10.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb10.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb11 = person.Limbs[10].gameObject;
                        Limb11.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteSkin11.png");
                        Limb11.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteFlesh11.png").texture);
                        Limb11.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteBone11.png").texture);
                        Limb11.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteDamage11.png").texture);
                        Limb11.transform.localPosition = new Vector3(0.1714286f, -0.2571429f, 0f);
                        Limb11.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb11.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb11.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb11.GetComponent<SpriteRenderer>().sortingOrder = -1;
                        Limb11.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb11.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb11.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb11.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb11.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb11.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb11.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb11.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb11.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb11.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb11.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb11.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb12 = person.Limbs[11].gameObject;
                        Limb12.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteSkin12.png");
                        Limb12.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteFlesh12.png").texture);
                        Limb12.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteBone12.png").texture);
                        Limb12.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites/LimbSpriteDamage12.png").texture);
                        Limb12.transform.localPosition = new Vector3(-0.3571429f, 0.04285714f, 0f);
                        Limb12.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb12.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Arms;
                        Limb12.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb12.GetComponent<SpriteRenderer>().sortingOrder = 0;
                        Limb12.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb12.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb12.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb12.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb12.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb12.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb12.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb12.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb12.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb12.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb12.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb12.GetComponent<LimbBehaviour>().HasBrain = false;
                        int limbCount = 12;

                        Limb1.GetComponent<GoreStringBehaviour>().Other = Limb2.GetComponent<Rigidbody2D>();
                        var Limb1Joint = Limb1.GetComponent<LimbBehaviour>().Joint;
                        Limb1Joint.anchor = new Vector2(-0.08582947f, -0.07079816f);
                        Limb1Joint.autoConfigureConnectedAnchor = true; Limb1Joint.connectedBody = Limb2.GetComponent<Rigidbody2D>();
                        var lim1 = Limb1Joint.limits;
                        lim1.min = -90f;
                        lim1.max = 90f;
                        Limb1Joint.limits = lim1;
                        Limb1.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb2.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb1.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb2.GetComponent<CirculationBehaviour>(),
               };
                        Limb1.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb2.GetComponent<LimbBehaviour>(),
               };
                        Limb1.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb2.GetComponent<SkinMaterialHandler>(),
               };
                        Limb1Joint.useLimits = true;
                        GameObject.Destroy(Limb2.GetComponent<LimbBehaviour>().Joint);
                        Limb2.GetComponent<LimbBehaviour>().HasJoint = false;
                        Limb2.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb1.GetComponent<ConnectedNodeBehaviour>(),
       Limb3.GetComponent<ConnectedNodeBehaviour>(),
       Limb4.GetComponent<ConnectedNodeBehaviour>(),
       Limb6.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb2.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb1.GetComponent<CirculationBehaviour>(),
       Limb3.GetComponent<CirculationBehaviour>(),
       Limb4.GetComponent<CirculationBehaviour>(),
       Limb6.GetComponent<CirculationBehaviour>(),
               };
                        Limb2.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb1.GetComponent<LimbBehaviour>(),
       Limb3.GetComponent<LimbBehaviour>(),
       Limb4.GetComponent<LimbBehaviour>(),
       Limb6.GetComponent<LimbBehaviour>(),
               };
                        Limb2.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb1.GetComponent<SkinMaterialHandler>(),
       Limb3.GetComponent<SkinMaterialHandler>(),
       Limb4.GetComponent<SkinMaterialHandler>(),
       Limb6.GetComponent<SkinMaterialHandler>(),
               };
                        Limb3.GetComponent<LimbBehaviour>().Joint = Limb3.AddComponent<HingeJoint2D>();
                        Limb3.GetComponent<LimbBehaviour>().HasJoint = true;
                        Limb3.AddComponent<GoreStringBehaviour>().Other = Limb2.GetComponent<Rigidbody2D>();
                        var Limb3Joint = Limb3.GetComponent<LimbBehaviour>().Joint;
                        Limb3Joint.anchor = new Vector2(0.1268011f, 0.004333362f);
                        Limb3Joint.autoConfigureConnectedAnchor = true; Limb3Joint.connectedBody = Limb2.GetComponent<Rigidbody2D>();
                        var lim3 = Limb3Joint.limits;
                        lim3.min = 0f;
                        lim3.max = 90f;
                        Limb3Joint.limits = lim3;
                        Limb3.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb12.GetComponent<ConnectedNodeBehaviour>(),
       Limb5.GetComponent<ConnectedNodeBehaviour>(),
       Limb7.GetComponent<ConnectedNodeBehaviour>(),
       Limb2.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb3.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb12.GetComponent<CirculationBehaviour>(),
       Limb5.GetComponent<CirculationBehaviour>(),
       Limb7.GetComponent<CirculationBehaviour>(),
       Limb2.GetComponent<CirculationBehaviour>(),
               };
                        Limb3.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb12.GetComponent<LimbBehaviour>(),
       Limb5.GetComponent<LimbBehaviour>(),
       Limb7.GetComponent<LimbBehaviour>(),
       Limb2.GetComponent<LimbBehaviour>(),
               };
                        Limb3.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb12.GetComponent<SkinMaterialHandler>(),
       Limb5.GetComponent<SkinMaterialHandler>(),
       Limb7.GetComponent<SkinMaterialHandler>(),
       Limb2.GetComponent<SkinMaterialHandler>(),
               };
                        Limb3Joint.useLimits = true;
                        Limb4.GetComponent<GoreStringBehaviour>().Other = Limb2.GetComponent<Rigidbody2D>();
                        var Limb4Joint = Limb4.GetComponent<LimbBehaviour>().Joint;
                        Limb4Joint.anchor = new Vector2(0.001001298f, 0.02862872f);
                        Limb4Joint.autoConfigureConnectedAnchor = true; Limb4Joint.connectedBody = Limb2.GetComponent<Rigidbody2D>();
                        var lim4 = Limb4Joint.limits;
                        lim4.min = -90f;
                        lim4.max = 90f;
                        Limb4Joint.limits = lim4;
                        Limb4.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb9.GetComponent<ConnectedNodeBehaviour>(),
       Limb2.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb4.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb9.GetComponent<CirculationBehaviour>(),
       Limb2.GetComponent<CirculationBehaviour>(),
               };
                        Limb4.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb9.GetComponent<LimbBehaviour>(),
       Limb2.GetComponent<LimbBehaviour>(),
               };
                        Limb4.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb9.GetComponent<SkinMaterialHandler>(),
       Limb2.GetComponent<SkinMaterialHandler>(),
               };
                        Limb4Joint.useLimits = true;
                        Limb5.GetComponent<GoreStringBehaviour>().Other = Limb3.GetComponent<Rigidbody2D>();
                        var Limb5Joint = Limb5.GetComponent<LimbBehaviour>().Joint;
                        Limb5Joint.anchor = new Vector2(0.01427422f, 0.03403868f);
                        Limb5Joint.autoConfigureConnectedAnchor = true; Limb5Joint.connectedBody = Limb3.GetComponent<Rigidbody2D>();
                        var lim5 = Limb5Joint.limits;
                        lim5.min = -90f;
                        lim5.max = 90f;
                        Limb5Joint.limits = lim5;
                        Limb5.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb8.GetComponent<ConnectedNodeBehaviour>(),
       Limb3.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb5.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb8.GetComponent<CirculationBehaviour>(),
       Limb3.GetComponent<CirculationBehaviour>(),
               };
                        Limb5.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb8.GetComponent<LimbBehaviour>(),
       Limb3.GetComponent<LimbBehaviour>(),
               };
                        Limb5.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb8.GetComponent<SkinMaterialHandler>(),
       Limb3.GetComponent<SkinMaterialHandler>(),
               };
                        Limb5Joint.useLimits = true;
                        Limb6.GetComponent<GoreStringBehaviour>().Other = Limb2.GetComponent<Rigidbody2D>();
                        var Limb6Joint = Limb6.GetComponent<LimbBehaviour>().Joint;
                        Limb6Joint.anchor = new Vector2(0.001371861f, 0.02646473f);
                        Limb6Joint.autoConfigureConnectedAnchor = true; Limb6Joint.connectedBody = Limb2.GetComponent<Rigidbody2D>();
                        var lim6 = Limb6Joint.limits;
                        lim6.min = -88.22903f;
                        lim6.max = 90f;
                        Limb6Joint.limits = lim6;
                        Limb6.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb11.GetComponent<ConnectedNodeBehaviour>(),
       Limb2.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb6.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb11.GetComponent<CirculationBehaviour>(),
       Limb2.GetComponent<CirculationBehaviour>(),
               };
                        Limb6.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb11.GetComponent<LimbBehaviour>(),
       Limb2.GetComponent<LimbBehaviour>(),
               };
                        Limb6.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb11.GetComponent<SkinMaterialHandler>(),
       Limb2.GetComponent<SkinMaterialHandler>(),
               };
                        Limb6Joint.useLimits = true;
                        Limb7.GetComponent<GoreStringBehaviour>().Other = Limb3.GetComponent<Rigidbody2D>();
                        var Limb7Joint = Limb7.GetComponent<LimbBehaviour>().Joint;
                        Limb7Joint.anchor = new Vector2(0.01434347f, 0.0307927f);
                        Limb7Joint.autoConfigureConnectedAnchor = true; Limb7Joint.connectedBody = Limb3.GetComponent<Rigidbody2D>();
                        var lim7 = Limb7Joint.limits;
                        lim7.min = -90f;
                        lim7.max = 90f;
                        Limb7Joint.limits = lim7;
                        Limb7.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb10.GetComponent<ConnectedNodeBehaviour>(),
       Limb3.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb7.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb10.GetComponent<CirculationBehaviour>(),
       Limb3.GetComponent<CirculationBehaviour>(),
               };
                        Limb7.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb10.GetComponent<LimbBehaviour>(),
       Limb3.GetComponent<LimbBehaviour>(),
               };
                        Limb7.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb10.GetComponent<SkinMaterialHandler>(),
       Limb3.GetComponent<SkinMaterialHandler>(),
               };
                        Limb7Joint.useLimits = true;
                        Limb8.GetComponent<GoreStringBehaviour>().Other = Limb5.GetComponent<Rigidbody2D>();
                        var Limb8Joint = Limb8.GetComponent<LimbBehaviour>().Joint;
                        Limb8Joint.anchor = new Vector2(-0.01321517f, 0.05853662f);
                        Limb8Joint.autoConfigureConnectedAnchor = true; Limb8Joint.connectedBody = Limb5.GetComponent<Rigidbody2D>();
                        var lim8 = Limb8Joint.limits;
                        lim8.min = 0f;
                        lim8.max = 90f;
                        Limb8Joint.limits = lim8;
                        Limb8.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb5.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb8.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb5.GetComponent<CirculationBehaviour>(),
               };
                        Limb8.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb5.GetComponent<LimbBehaviour>(),
               };
                        Limb8.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb5.GetComponent<SkinMaterialHandler>(),
               };
                        Limb8Joint.useLimits = true;
                        Limb9.GetComponent<GoreStringBehaviour>().Other = Limb4.GetComponent<Rigidbody2D>();
                        var Limb9Joint = Limb9.GetComponent<LimbBehaviour>().Joint;
                        Limb9Joint.anchor = new Vector2(-0.01458621f, 0.05637261f);
                        Limb9Joint.autoConfigureConnectedAnchor = true; Limb9Joint.connectedBody = Limb4.GetComponent<Rigidbody2D>();
                        var lim9 = Limb9Joint.limits;
                        lim9.min = 0f;
                        lim9.max = 90f;
                        Limb9Joint.limits = lim9;
                        Limb9.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb4.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb9.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb4.GetComponent<CirculationBehaviour>(),
               };
                        Limb9.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb4.GetComponent<LimbBehaviour>(),
               };
                        Limb9.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb4.GetComponent<SkinMaterialHandler>(),
               };
                        Limb9Joint.useLimits = true;
                        Limb10.GetComponent<GoreStringBehaviour>().Other = Limb7.GetComponent<Rigidbody2D>();
                        var Limb10Joint = Limb10.GetComponent<LimbBehaviour>().Joint;
                        Limb10Joint.anchor = new Vector2(-0.01473676f, 0.05126899f);
                        Limb10Joint.autoConfigureConnectedAnchor = true; Limb10Joint.connectedBody = Limb7.GetComponent<Rigidbody2D>();
                        var lim10 = Limb10Joint.limits;
                        lim10.min = 0f;
                        lim10.max = 90f;
                        Limb10Joint.limits = lim10;
                        Limb10.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb7.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb10.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb7.GetComponent<CirculationBehaviour>(),
               };
                        Limb10.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb7.GetComponent<LimbBehaviour>(),
               };
                        Limb10.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb7.GetComponent<SkinMaterialHandler>(),
               };
                        Limb10Joint.useLimits = true;
                        Limb11.GetComponent<GoreStringBehaviour>().Other = Limb6.GetComponent<Rigidbody2D>();
                        var Limb11Joint = Limb11.GetComponent<LimbBehaviour>().Joint;
                        Limb11Joint.anchor = new Vector2(-0.01421577f, 0.05853662f);
                        Limb11Joint.autoConfigureConnectedAnchor = true; Limb11Joint.connectedBody = Limb6.GetComponent<Rigidbody2D>();
                        var lim11 = Limb11Joint.limits;
                        lim11.min = 0f;
                        lim11.max = 90f;
                        Limb11Joint.limits = lim11;
                        Limb11.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb6.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb11.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb6.GetComponent<CirculationBehaviour>(),
               };
                        Limb11.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb6.GetComponent<LimbBehaviour>(),
               };
                        Limb11.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb6.GetComponent<SkinMaterialHandler>(),
               };
                        Limb11Joint.useLimits = true;
                        Limb12.GetComponent<GoreStringBehaviour>().Other = Limb3.GetComponent<Rigidbody2D>();
                        var Limb12Joint = Limb12.GetComponent<LimbBehaviour>().Joint;
                        Limb12Joint.anchor = new Vector2(0.08076718f, -0.002818156f);
                        Limb12Joint.autoConfigureConnectedAnchor = true; Limb12Joint.connectedBody = Limb3.GetComponent<Rigidbody2D>();
                        var lim12 = Limb12Joint.limits;
                        lim12.min = 0f;
                        lim12.max = 360f;
                        Limb12Joint.limits = lim12;
                        Limb12.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb3.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb12.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb3.GetComponent<CirculationBehaviour>(),
               };
                        Limb12.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb3.GetComponent<LimbBehaviour>(),
               };
                        Limb12.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb3.GetComponent<SkinMaterialHandler>(),
               };
                        Limb12Joint.useLimits = true;


                        for (int i = limbCount; i < person.Limbs.Length; i++)
                        {
                            person.Limbs[i].PhysicalBehaviour.Disintegrate();
                        }

                        foreach (var Limb in person.Limbs)
                        {
                            Limb.gameObject.FixColliders();
                        }
                        var nocol = Instance.AddComponent<NoCollide>();
                        nocol.NoCollideSetA = Instance.GetComponentsInChildren<Collider2D>();
                        nocol.NoCollideSetB = Instance.GetComponentsInChildren<Collider2D>();

                        person.LinkedPoses[PoseState.Rest].Angles = new List<RagdollPose.LimbPose>();
                        foreach (var limb in person.Limbs)
                        {
                            if (limb != null && !limb.PhysicalBehaviour.isDisintegrated && limb.HasJoint)
                            {
                                person.LinkedPoses[PoseState.Rest].Angles.Add(new RagdollPose.LimbPose(limb, limb.Joint.jointAngle + (limb.transform.eulerAngles.z - limb.Joint.connectedBody.transform.eulerAngles.z) * Mathf.Sign(person.transform.localScale.x)));
                            }
                        }
                        person.LinkedPoses[PoseState.Rest].ConstructDictionary();

                        person.LinkedPoses[PoseState.Protective].Angles = new List<RagdollPose.LimbPose>();
                        foreach (var limb in person.Limbs)
                        {
                            if (limb != null && !limb.PhysicalBehaviour.isDisintegrated && limb.HasJoint)
                            {
                                person.LinkedPoses[PoseState.Protective].Angles.Add(new RagdollPose.LimbPose(limb, limb.Joint.jointAngle + (limb.transform.eulerAngles.z - limb.Joint.connectedBody.transform.eulerAngles.z) * Mathf.Sign(person.transform.localScale.x)));
                            }
                        }
                        person.LinkedPoses[PoseState.Protective].ConstructDictionary();

                        foreach (var item in person.Limbs)
                        {
                            if (item.RoughClassification == LimbBehaviour.BodyPart.Head)
                            {
                                item.NodeBehaviour.IsRoot = true;
                                item.NodeBehaviour.Value = 1000000;
                            }
                            else
                            {
                                item.NodeBehaviour.IsRoot = false;
                                item.NodeBehaviour.Value = 100000;
                            }
                        }

                        foreach (var item in person.Limbs)
                        {
                            if (item.RoughClassification == LimbBehaviour.BodyPart.Head)
                            {
                                item.NodeBehaviour.RootPropagation();
                            }
                        }
                    }
                }
            );
            ModAPI.Register( //bulldog idk
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Daisy",
                    DescriptionOverride = "Dead dog",
                    CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("DogCreatureSprites1/DaisyThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        foreach (var limb in Instance.GetComponent<PersonBehaviour>().Limbs)
                        {
                            if (!limb.HasBrain)
                            {
                                limb.transform.parent.localPosition = Vector3.zero;
                            }
                            else
                            {
                                limb.transform.GetChild(0).gameObject.SetActive(false); //brain matter stuff
                            }
                            if (limb.gameObject.GetComponent<GripBehaviour>() != null)
                            {
                                GameObject.Destroy(limb.gameObject.GetComponent<GripBehaviour>());
                            }
                        }


                        PersonBehaviour person = Instance.GetComponent<PersonBehaviour>();
                        person.CountDeathAsStat = false;
                        GameObject Limb1 = person.Limbs[0].gameObject;
                        Limb1.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteSkin1.png");
                        Limb1.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteFlesh1.png").texture);
                        Limb1.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteBone1.png").texture);
                        Limb1.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteDamage1.png").texture);
                        Limb1.transform.localPosition = new Vector3(0.3714286f, 0.1714286f, 0f);
                        Limb1.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb1.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Head;
                        Limb1.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb1.GetComponent<SpriteRenderer>().sortingOrder = 1;
                        Limb1.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb1.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb1.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb1.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb1.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb1.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb1.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb1.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb1.AddComponent<GripBehaviour>().GripPosition = new Vector3(0.1092808f, -0.08439516f, ModAPI.PixelSize * 6f);
                        Limb1.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb1.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb1.GetComponent<LimbBehaviour>().IsLethalToBreak = true;
                        Limb1.GetComponent<LimbBehaviour>().HasBrain = true;
                        GameObject Limb2 = person.Limbs[1].gameObject;
                        Limb2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteSkin2.png");
                        Limb2.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteFlesh2.png").texture);
                        Limb2.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteBone2.png").texture);
                        Limb2.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteDamage2.png").texture);
                        Limb2.transform.localPosition = new Vector3(0.1714286f, 0.01428571f, 0f);
                        Limb2.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb2.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Torso;
                        Limb2.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb2.GetComponent<SpriteRenderer>().sortingOrder = 0;
                        Limb2.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb2.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb2.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb2.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb2.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb2.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb2.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb2.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb2.GetComponent<CirculationBehaviour>().IsPump = true;
                        Limb2.GetComponent<LimbBehaviour>().HasLungs = true;
                        Limb2.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb2.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb3 = person.Limbs[2].gameObject;
                        Limb3.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteSkin3.png");
                        Limb3.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteFlesh3.png").texture);
                        Limb3.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteBone3.png").texture);
                        Limb3.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteDamage3.png").texture);
                        Limb3.transform.localPosition = new Vector3(-0.1285714f, 0f, 0f);
                        Limb3.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb3.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Torso;
                        Limb3.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb3.GetComponent<SpriteRenderer>().sortingOrder = 0;
                        Limb3.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb3.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb3.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb3.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb3.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb3.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb3.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb3.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb3.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb3.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb3.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb3.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb4 = person.Limbs[3].gameObject;
                        Limb4.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteSkin4.png");
                        Limb4.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteFlesh4.png").texture);
                        Limb4.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteBone4.png").texture);
                        Limb4.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteDamage4.png").texture);
                        Limb4.transform.localPosition = new Vector3(0.1428571f, -0.08571429f, 0f);
                        Limb4.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb4.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb4.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb4.GetComponent<SpriteRenderer>().sortingOrder = 1;
                        Limb4.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb4.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb4.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb4.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb4.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb4.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb4.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb4.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb4.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb4.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb4.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb4.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb5 = person.Limbs[4].gameObject;
                        Limb5.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteSkin5.png");
                        Limb5.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteFlesh5.png").texture);
                        Limb5.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteBone5.png").texture);
                        Limb5.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteDamage5.png").texture);
                        Limb5.transform.localPosition = new Vector3(-0.1571429f, -0.08571429f, 0f);
                        Limb5.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb5.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb5.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb5.GetComponent<SpriteRenderer>().sortingOrder = 1;
                        Limb5.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb5.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb5.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb5.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb5.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb5.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb5.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb5.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb5.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb5.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb5.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb5.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb6 = person.Limbs[5].gameObject;
                        Limb6.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteSkin6.png");
                        Limb6.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteFlesh6.png").texture);
                        Limb6.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteBone6.png").texture);
                        Limb6.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteDamage6.png").texture);
                        Limb6.transform.localPosition = new Vector3(0.1428571f, -0.08571429f, 0f);
                        Limb6.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb6.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb6.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb6.GetComponent<SpriteRenderer>().sortingOrder = -1;
                        Limb6.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb6.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb6.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb6.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb6.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb6.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb6.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb6.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb6.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb6.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb6.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb6.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb7 = person.Limbs[6].gameObject;
                        Limb7.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteSkin7.png");
                        Limb7.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteFlesh7.png").texture);
                        Limb7.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteBone7.png").texture);
                        Limb7.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteDamage7.png").texture);
                        Limb7.transform.localPosition = new Vector3(-0.1571429f, -0.08571429f, 0f);
                        Limb7.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb7.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb7.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb7.GetComponent<SpriteRenderer>().sortingOrder = -1;
                        Limb7.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb7.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb7.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb7.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb7.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb7.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb7.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb7.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb7.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb7.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb7.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb7.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb8 = person.Limbs[7].gameObject;
                        Limb8.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteSkin8.png");
                        Limb8.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteFlesh8.png").texture);
                        Limb8.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteBone8.png").texture);
                        Limb8.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteDamage8.png").texture);
                        Limb8.transform.localPosition = new Vector3(-0.1285714f, -0.2571429f, 0f);
                        Limb8.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb8.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb8.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb8.GetComponent<SpriteRenderer>().sortingOrder = 1;
                        Limb8.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb8.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb8.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb8.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb8.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb8.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb8.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb8.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb8.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb8.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb8.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb8.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb9 = person.Limbs[8].gameObject;
                        Limb9.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteSkin9.png");
                        Limb9.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteFlesh9.png").texture);
                        Limb9.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteBone9.png").texture);
                        Limb9.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteDamage9.png").texture);
                        Limb9.transform.localPosition = new Vector3(0.1714286f, -0.2571429f, 0f);
                        Limb9.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb9.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb9.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb9.GetComponent<SpriteRenderer>().sortingOrder = 1;
                        Limb9.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb9.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb9.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb9.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb9.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb9.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb9.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb9.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb9.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb9.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb9.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb9.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb10 = person.Limbs[9].gameObject;
                        Limb10.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteSkin10.png");
                        Limb10.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteFlesh10.png").texture);
                        Limb10.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteBone10.png").texture);
                        Limb10.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteDamage10.png").texture);
                        Limb10.transform.localPosition = new Vector3(-0.1285714f, -0.2571429f, 0f);
                        Limb10.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb10.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb10.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb10.GetComponent<SpriteRenderer>().sortingOrder = -1;
                        Limb10.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb10.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb10.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb10.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb10.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb10.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb10.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb10.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb10.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb10.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb10.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb10.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb11 = person.Limbs[10].gameObject;
                        Limb11.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteSkin11.png");
                        Limb11.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteFlesh11.png").texture);
                        Limb11.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteBone11.png").texture);
                        Limb11.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteDamage11.png").texture);
                        Limb11.transform.localPosition = new Vector3(0.1714286f, -0.2571429f, 0f);
                        Limb11.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb11.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb11.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb11.GetComponent<SpriteRenderer>().sortingOrder = -1;
                        Limb11.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb11.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb11.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb11.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb11.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb11.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb11.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb11.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb11.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb11.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb11.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb11.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb12 = person.Limbs[11].gameObject;
                        Limb12.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteSkin12.png");
                        Limb12.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteFlesh12.png").texture);
                        Limb12.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteBone12.png").texture);
                        Limb12.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites1/LimbSpriteDamage12.png").texture);
                        Limb12.transform.localPosition = new Vector3(-0.3571429f, 0.04285714f, 0f);
                        Limb12.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb12.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Arms;
                        Limb12.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb12.GetComponent<SpriteRenderer>().sortingOrder = 0;
                        Limb12.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb12.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb12.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb12.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb12.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb12.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb12.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb12.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb12.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb12.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb12.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb12.GetComponent<LimbBehaviour>().HasBrain = false;
                        int limbCount = 12;

                        Limb1.GetComponent<GoreStringBehaviour>().Other = Limb2.GetComponent<Rigidbody2D>();
                        var Limb1Joint = Limb1.GetComponent<LimbBehaviour>().Joint;
                        Limb1Joint.anchor = new Vector2(-0.08582947f, -0.07079816f);
                        Limb1Joint.autoConfigureConnectedAnchor = true; Limb1Joint.connectedBody = Limb2.GetComponent<Rigidbody2D>();
                        var lim1 = Limb1Joint.limits;
                        lim1.min = -90f;
                        lim1.max = 90f;
                        Limb1Joint.limits = lim1;
                        Limb1.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb2.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb1.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb2.GetComponent<CirculationBehaviour>(),
               };
                        Limb1.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb2.GetComponent<LimbBehaviour>(),
               };
                        Limb1.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb2.GetComponent<SkinMaterialHandler>(),
               };
                        Limb1Joint.useLimits = true;
                        GameObject.Destroy(Limb2.GetComponent<LimbBehaviour>().Joint);
                        Limb2.GetComponent<LimbBehaviour>().HasJoint = false;
                        Limb2.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb1.GetComponent<ConnectedNodeBehaviour>(),
       Limb3.GetComponent<ConnectedNodeBehaviour>(),
       Limb4.GetComponent<ConnectedNodeBehaviour>(),
       Limb6.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb2.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb1.GetComponent<CirculationBehaviour>(),
       Limb3.GetComponent<CirculationBehaviour>(),
       Limb4.GetComponent<CirculationBehaviour>(),
       Limb6.GetComponent<CirculationBehaviour>(),
               };
                        Limb2.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb1.GetComponent<LimbBehaviour>(),
       Limb3.GetComponent<LimbBehaviour>(),
       Limb4.GetComponent<LimbBehaviour>(),
       Limb6.GetComponent<LimbBehaviour>(),
               };
                        Limb2.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb1.GetComponent<SkinMaterialHandler>(),
       Limb3.GetComponent<SkinMaterialHandler>(),
       Limb4.GetComponent<SkinMaterialHandler>(),
       Limb6.GetComponent<SkinMaterialHandler>(),
               };
                        Limb3.GetComponent<LimbBehaviour>().Joint = Limb3.AddComponent<HingeJoint2D>();
                        Limb3.GetComponent<LimbBehaviour>().HasJoint = true;
                        Limb3.AddComponent<GoreStringBehaviour>().Other = Limb2.GetComponent<Rigidbody2D>();
                        var Limb3Joint = Limb3.GetComponent<LimbBehaviour>().Joint;
                        Limb3Joint.anchor = new Vector2(0.1268011f, 0.004333362f);
                        Limb3Joint.autoConfigureConnectedAnchor = true; Limb3Joint.connectedBody = Limb2.GetComponent<Rigidbody2D>();
                        var lim3 = Limb3Joint.limits;
                        lim3.min = 0f;
                        lim3.max = 90f;
                        Limb3Joint.limits = lim3;
                        Limb3.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb12.GetComponent<ConnectedNodeBehaviour>(),
       Limb5.GetComponent<ConnectedNodeBehaviour>(),
       Limb7.GetComponent<ConnectedNodeBehaviour>(),
       Limb2.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb3.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb12.GetComponent<CirculationBehaviour>(),
       Limb5.GetComponent<CirculationBehaviour>(),
       Limb7.GetComponent<CirculationBehaviour>(),
       Limb2.GetComponent<CirculationBehaviour>(),
               };
                        Limb3.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb12.GetComponent<LimbBehaviour>(),
       Limb5.GetComponent<LimbBehaviour>(),
       Limb7.GetComponent<LimbBehaviour>(),
       Limb2.GetComponent<LimbBehaviour>(),
               };
                        Limb3.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb12.GetComponent<SkinMaterialHandler>(),
       Limb5.GetComponent<SkinMaterialHandler>(),
       Limb7.GetComponent<SkinMaterialHandler>(),
       Limb2.GetComponent<SkinMaterialHandler>(),
               };
                        Limb3Joint.useLimits = true;
                        Limb4.GetComponent<GoreStringBehaviour>().Other = Limb2.GetComponent<Rigidbody2D>();
                        var Limb4Joint = Limb4.GetComponent<LimbBehaviour>().Joint;
                        Limb4Joint.anchor = new Vector2(0.001001298f, 0.02862872f);
                        Limb4Joint.autoConfigureConnectedAnchor = true; Limb4Joint.connectedBody = Limb2.GetComponent<Rigidbody2D>();
                        var lim4 = Limb4Joint.limits;
                        lim4.min = -90f;
                        lim4.max = 90f;
                        Limb4Joint.limits = lim4;
                        Limb4.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb9.GetComponent<ConnectedNodeBehaviour>(),
       Limb2.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb4.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb9.GetComponent<CirculationBehaviour>(),
       Limb2.GetComponent<CirculationBehaviour>(),
               };
                        Limb4.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb9.GetComponent<LimbBehaviour>(),
       Limb2.GetComponent<LimbBehaviour>(),
               };
                        Limb4.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb9.GetComponent<SkinMaterialHandler>(),
       Limb2.GetComponent<SkinMaterialHandler>(),
               };
                        Limb4Joint.useLimits = true;
                        Limb5.GetComponent<GoreStringBehaviour>().Other = Limb3.GetComponent<Rigidbody2D>();
                        var Limb5Joint = Limb5.GetComponent<LimbBehaviour>().Joint;
                        Limb5Joint.anchor = new Vector2(0.01427422f, 0.03403868f);
                        Limb5Joint.autoConfigureConnectedAnchor = true; Limb5Joint.connectedBody = Limb3.GetComponent<Rigidbody2D>();
                        var lim5 = Limb5Joint.limits;
                        lim5.min = -90f;
                        lim5.max = 90f;
                        Limb5Joint.limits = lim5;
                        Limb5.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb8.GetComponent<ConnectedNodeBehaviour>(),
       Limb3.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb5.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb8.GetComponent<CirculationBehaviour>(),
       Limb3.GetComponent<CirculationBehaviour>(),
               };
                        Limb5.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb8.GetComponent<LimbBehaviour>(),
       Limb3.GetComponent<LimbBehaviour>(),
               };
                        Limb5.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb8.GetComponent<SkinMaterialHandler>(),
       Limb3.GetComponent<SkinMaterialHandler>(),
               };
                        Limb5Joint.useLimits = true;
                        Limb6.GetComponent<GoreStringBehaviour>().Other = Limb2.GetComponent<Rigidbody2D>();
                        var Limb6Joint = Limb6.GetComponent<LimbBehaviour>().Joint;
                        Limb6Joint.anchor = new Vector2(0.001371861f, 0.02646473f);
                        Limb6Joint.autoConfigureConnectedAnchor = true; Limb6Joint.connectedBody = Limb2.GetComponent<Rigidbody2D>();
                        var lim6 = Limb6Joint.limits;
                        lim6.min = -88.22903f;
                        lim6.max = 90f;
                        Limb6Joint.limits = lim6;
                        Limb6.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb11.GetComponent<ConnectedNodeBehaviour>(),
       Limb2.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb6.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb11.GetComponent<CirculationBehaviour>(),
       Limb2.GetComponent<CirculationBehaviour>(),
               };
                        Limb6.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb11.GetComponent<LimbBehaviour>(),
       Limb2.GetComponent<LimbBehaviour>(),
               };
                        Limb6.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb11.GetComponent<SkinMaterialHandler>(),
       Limb2.GetComponent<SkinMaterialHandler>(),
               };
                        Limb6Joint.useLimits = true;
                        Limb7.GetComponent<GoreStringBehaviour>().Other = Limb3.GetComponent<Rigidbody2D>();
                        var Limb7Joint = Limb7.GetComponent<LimbBehaviour>().Joint;
                        Limb7Joint.anchor = new Vector2(0.01434347f, 0.0307927f);
                        Limb7Joint.autoConfigureConnectedAnchor = true; Limb7Joint.connectedBody = Limb3.GetComponent<Rigidbody2D>();
                        var lim7 = Limb7Joint.limits;
                        lim7.min = -90f;
                        lim7.max = 90f;
                        Limb7Joint.limits = lim7;
                        Limb7.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb10.GetComponent<ConnectedNodeBehaviour>(),
       Limb3.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb7.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb10.GetComponent<CirculationBehaviour>(),
       Limb3.GetComponent<CirculationBehaviour>(),
               };
                        Limb7.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb10.GetComponent<LimbBehaviour>(),
       Limb3.GetComponent<LimbBehaviour>(),
               };
                        Limb7.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb10.GetComponent<SkinMaterialHandler>(),
       Limb3.GetComponent<SkinMaterialHandler>(),
               };
                        Limb7Joint.useLimits = true;
                        Limb8.GetComponent<GoreStringBehaviour>().Other = Limb5.GetComponent<Rigidbody2D>();
                        var Limb8Joint = Limb8.GetComponent<LimbBehaviour>().Joint;
                        Limb8Joint.anchor = new Vector2(-0.01321517f, 0.05853662f);
                        Limb8Joint.autoConfigureConnectedAnchor = true; Limb8Joint.connectedBody = Limb5.GetComponent<Rigidbody2D>();
                        var lim8 = Limb8Joint.limits;
                        lim8.min = 0f;
                        lim8.max = 90f;
                        Limb8Joint.limits = lim8;
                        Limb8.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb5.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb8.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb5.GetComponent<CirculationBehaviour>(),
               };
                        Limb8.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb5.GetComponent<LimbBehaviour>(),
               };
                        Limb8.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb5.GetComponent<SkinMaterialHandler>(),
               };
                        Limb8Joint.useLimits = true;
                        Limb9.GetComponent<GoreStringBehaviour>().Other = Limb4.GetComponent<Rigidbody2D>();
                        var Limb9Joint = Limb9.GetComponent<LimbBehaviour>().Joint;
                        Limb9Joint.anchor = new Vector2(-0.01458621f, 0.05637261f);
                        Limb9Joint.autoConfigureConnectedAnchor = true; Limb9Joint.connectedBody = Limb4.GetComponent<Rigidbody2D>();
                        var lim9 = Limb9Joint.limits;
                        lim9.min = 0f;
                        lim9.max = 90f;
                        Limb9Joint.limits = lim9;
                        Limb9.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb4.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb9.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb4.GetComponent<CirculationBehaviour>(),
               };
                        Limb9.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb4.GetComponent<LimbBehaviour>(),
               };
                        Limb9.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb4.GetComponent<SkinMaterialHandler>(),
               };
                        Limb9Joint.useLimits = true;
                        Limb10.GetComponent<GoreStringBehaviour>().Other = Limb7.GetComponent<Rigidbody2D>();
                        var Limb10Joint = Limb10.GetComponent<LimbBehaviour>().Joint;
                        Limb10Joint.anchor = new Vector2(-0.01473676f, 0.05126899f);
                        Limb10Joint.autoConfigureConnectedAnchor = true; Limb10Joint.connectedBody = Limb7.GetComponent<Rigidbody2D>();
                        var lim10 = Limb10Joint.limits;
                        lim10.min = 0f;
                        lim10.max = 90f;
                        Limb10Joint.limits = lim10;
                        Limb10.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb7.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb10.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb7.GetComponent<CirculationBehaviour>(),
               };
                        Limb10.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb7.GetComponent<LimbBehaviour>(),
               };
                        Limb10.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb7.GetComponent<SkinMaterialHandler>(),
               };
                        Limb10Joint.useLimits = true;
                        Limb11.GetComponent<GoreStringBehaviour>().Other = Limb6.GetComponent<Rigidbody2D>();
                        var Limb11Joint = Limb11.GetComponent<LimbBehaviour>().Joint;
                        Limb11Joint.anchor = new Vector2(-0.01421577f, 0.05853662f);
                        Limb11Joint.autoConfigureConnectedAnchor = true; Limb11Joint.connectedBody = Limb6.GetComponent<Rigidbody2D>();
                        var lim11 = Limb11Joint.limits;
                        lim11.min = 0f;
                        lim11.max = 90f;
                        Limb11Joint.limits = lim11;
                        Limb11.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb6.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb11.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb6.GetComponent<CirculationBehaviour>(),
               };
                        Limb11.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb6.GetComponent<LimbBehaviour>(),
               };
                        Limb11.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb6.GetComponent<SkinMaterialHandler>(),
               };
                        Limb11Joint.useLimits = true;
                        Limb12.GetComponent<GoreStringBehaviour>().Other = Limb3.GetComponent<Rigidbody2D>();
                        var Limb12Joint = Limb12.GetComponent<LimbBehaviour>().Joint;
                        Limb12Joint.anchor = new Vector2(0.08076718f, -0.002818156f);
                        Limb12Joint.autoConfigureConnectedAnchor = true; Limb12Joint.connectedBody = Limb3.GetComponent<Rigidbody2D>();
                        var lim12 = Limb12Joint.limits;
                        lim12.min = 0f;
                        lim12.max = 360f;
                        Limb12Joint.limits = lim12;
                        Limb12.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb3.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb12.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb3.GetComponent<CirculationBehaviour>(),
               };
                        Limb12.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb3.GetComponent<LimbBehaviour>(),
               };
                        Limb12.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb3.GetComponent<SkinMaterialHandler>(),
               };
                        Limb12Joint.useLimits = true;


                        for (int i = limbCount; i < person.Limbs.Length; i++)
                        {
                            person.Limbs[i].PhysicalBehaviour.Disintegrate();
                        }

                        foreach (var Limb in person.Limbs)
                        {
                            Limb.gameObject.FixColliders();
                        }
                        var nocol = Instance.AddComponent<NoCollide>();
                        nocol.NoCollideSetA = Instance.GetComponentsInChildren<Collider2D>();
                        nocol.NoCollideSetB = Instance.GetComponentsInChildren<Collider2D>();

                        person.LinkedPoses[PoseState.Rest].Angles = new List<RagdollPose.LimbPose>();
                        foreach (var limb in person.Limbs)
                        {
                            if (limb != null && !limb.PhysicalBehaviour.isDisintegrated && limb.HasJoint)
                            {
                                person.LinkedPoses[PoseState.Rest].Angles.Add(new RagdollPose.LimbPose(limb, limb.Joint.jointAngle + (limb.transform.eulerAngles.z - limb.Joint.connectedBody.transform.eulerAngles.z) * Mathf.Sign(person.transform.localScale.x)));
                            }
                        }
                        person.LinkedPoses[PoseState.Rest].ConstructDictionary();

                        person.LinkedPoses[PoseState.Protective].Angles = new List<RagdollPose.LimbPose>();
                        foreach (var limb in person.Limbs)
                        {
                            if (limb != null && !limb.PhysicalBehaviour.isDisintegrated && limb.HasJoint)
                            {
                                person.LinkedPoses[PoseState.Protective].Angles.Add(new RagdollPose.LimbPose(limb, limb.Joint.jointAngle + (limb.transform.eulerAngles.z - limb.Joint.connectedBody.transform.eulerAngles.z) * Mathf.Sign(person.transform.localScale.x)));
                            }
                        }
                        person.LinkedPoses[PoseState.Protective].ConstructDictionary();

                        foreach (var item in person.Limbs)
                        {
                            if (item.RoughClassification == LimbBehaviour.BodyPart.Head)
                            {
                                item.NodeBehaviour.IsRoot = true;
                                item.NodeBehaviour.Value = 1000000;
                            }
                            else
                            {
                                item.NodeBehaviour.IsRoot = false;
                                item.NodeBehaviour.Value = 100000;
                            }
                        }

                        foreach (var item in person.Limbs)
                        {
                            if (item.RoughClassification == LimbBehaviour.BodyPart.Head)
                            {
                                item.NodeBehaviour.RootPropagation();
                            }
                        }
                    }
                }
            );

            ModAPI.Register( //bulldog idk
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Dazir and Hazan",
                    DescriptionOverride = "They are one in the same, you have been lied to, they are both the same! muahahahaaaaaaa!!!!!!",
                    CategoryOverride = ModAPI.FindCategory("John Wick Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("DogCreatureSprites2/HavanDazirThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        foreach (var limb in Instance.GetComponent<PersonBehaviour>().Limbs)
                        {
                            if (!limb.HasBrain)
                            {
                                limb.transform.parent.localPosition = Vector3.zero;
                            }
                            else
                            {
                                limb.transform.GetChild(0).gameObject.SetActive(false); //brain matter stuff
                            }
                            if (limb.gameObject.GetComponent<GripBehaviour>() != null)
                            {
                                GameObject.Destroy(limb.gameObject.GetComponent<GripBehaviour>());
                            }
                        }


                        PersonBehaviour person = Instance.GetComponent<PersonBehaviour>();
                        person.CountDeathAsStat = false;
                        GameObject Limb1 = person.Limbs[0].gameObject;
                        Limb1.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteSkin1.png");
                        Limb1.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteFlesh1.png").texture);
                        Limb1.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteBone1.png").texture);
                        Limb1.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteDamage1.png").texture);
                        Limb1.transform.localPosition = new Vector3(0.3714286f, 0.1714286f, 0f);
                        Limb1.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb1.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Head;
                        Limb1.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb1.GetComponent<SpriteRenderer>().sortingOrder = 1;
                        Limb1.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb1.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb1.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb1.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb1.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb1.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb1.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb1.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb1.AddComponent<GripBehaviour>().GripPosition = new Vector3(0.1092808f, -0.08439516f, ModAPI.PixelSize * 6f);
                        Limb1.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb1.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb1.GetComponent<LimbBehaviour>().IsLethalToBreak = true;
                        Limb1.GetComponent<LimbBehaviour>().HasBrain = true;
                        GameObject Limb2 = person.Limbs[1].gameObject;
                        Limb2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteSkin2.png");
                        Limb2.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteFlesh2.png").texture);
                        Limb2.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteBone2.png").texture);
                        Limb2.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteDamage2.png").texture);
                        Limb2.transform.localPosition = new Vector3(0.1714286f, 0.01428571f, 0f);
                        Limb2.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb2.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Torso;
                        Limb2.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb2.GetComponent<SpriteRenderer>().sortingOrder = 0;
                        Limb2.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb2.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb2.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb2.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb2.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb2.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb2.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb2.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb2.GetComponent<CirculationBehaviour>().IsPump = true;
                        Limb2.GetComponent<LimbBehaviour>().HasLungs = true;
                        Limb2.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb2.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb3 = person.Limbs[2].gameObject;
                        Limb3.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteSkin3.png");
                        Limb3.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteFlesh3.png").texture);
                        Limb3.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteBone3.png").texture);
                        Limb3.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteDamage3.png").texture);
                        Limb3.transform.localPosition = new Vector3(-0.1285714f, 0f, 0f);
                        Limb3.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb3.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Torso;
                        Limb3.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb3.GetComponent<SpriteRenderer>().sortingOrder = 0;
                        Limb3.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb3.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb3.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb3.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb3.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb3.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb3.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb3.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb3.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb3.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb3.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb3.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb4 = person.Limbs[3].gameObject;
                        Limb4.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteSkin4.png");
                        Limb4.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteFlesh4.png").texture);
                        Limb4.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteBone4.png").texture);
                        Limb4.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteDamage4.png").texture);
                        Limb4.transform.localPosition = new Vector3(0.1428571f, -0.08571429f, 0f);
                        Limb4.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb4.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb4.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb4.GetComponent<SpriteRenderer>().sortingOrder = 1;
                        Limb4.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb4.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb4.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb4.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb4.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb4.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb4.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb4.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb4.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb4.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb4.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb4.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb5 = person.Limbs[4].gameObject;
                        Limb5.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteSkin5.png");
                        Limb5.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteFlesh5.png").texture);
                        Limb5.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteBone5.png").texture);
                        Limb5.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteDamage5.png").texture);
                        Limb5.transform.localPosition = new Vector3(-0.1571429f, -0.08571429f, 0f);
                        Limb5.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb5.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb5.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb5.GetComponent<SpriteRenderer>().sortingOrder = 1;
                        Limb5.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb5.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb5.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb5.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb5.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb5.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb5.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb5.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb5.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb5.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb5.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb5.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb6 = person.Limbs[5].gameObject;
                        Limb6.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteSkin6.png");
                        Limb6.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteFlesh6.png").texture);
                        Limb6.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteBone6.png").texture);
                        Limb6.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteDamage6.png").texture);
                        Limb6.transform.localPosition = new Vector3(0.1428571f, -0.08571429f, 0f);
                        Limb6.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb6.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb6.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb6.GetComponent<SpriteRenderer>().sortingOrder = -1;
                        Limb6.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb6.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb6.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb6.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb6.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb6.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb6.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb6.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb6.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb6.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb6.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb6.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb7 = person.Limbs[6].gameObject;
                        Limb7.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteSkin7.png");
                        Limb7.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteFlesh7.png").texture);
                        Limb7.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteBone7.png").texture);
                        Limb7.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteDamage7.png").texture);
                        Limb7.transform.localPosition = new Vector3(-0.1571429f, -0.08571429f, 0f);
                        Limb7.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb7.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb7.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb7.GetComponent<SpriteRenderer>().sortingOrder = -1;
                        Limb7.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb7.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb7.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb7.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb7.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb7.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb7.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb7.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb7.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb7.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb7.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb7.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb8 = person.Limbs[7].gameObject;
                        Limb8.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteSkin8.png");
                        Limb8.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteFlesh8.png").texture);
                        Limb8.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteBone8.png").texture);
                        Limb8.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteDamage8.png").texture);
                        Limb8.transform.localPosition = new Vector3(-0.1285714f, -0.2571429f, 0f);
                        Limb8.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb8.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb8.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb8.GetComponent<SpriteRenderer>().sortingOrder = 1;
                        Limb8.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb8.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb8.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb8.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb8.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb8.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb8.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb8.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb8.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb8.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb8.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb8.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb9 = person.Limbs[8].gameObject;
                        Limb9.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteSkin9.png");
                        Limb9.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteFlesh9.png").texture);
                        Limb9.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteBone9.png").texture);
                        Limb9.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteDamage9.png").texture);
                        Limb9.transform.localPosition = new Vector3(0.1714286f, -0.2571429f, 0f);
                        Limb9.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb9.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb9.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb9.GetComponent<SpriteRenderer>().sortingOrder = 1;
                        Limb9.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb9.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb9.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb9.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb9.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb9.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb9.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb9.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb9.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb9.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb9.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb9.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb10 = person.Limbs[9].gameObject;
                        Limb10.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteSkin10.png");
                        Limb10.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteFlesh10.png").texture);
                        Limb10.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteBone10.png").texture);
                        Limb10.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteDamage10.png").texture);
                        Limb10.transform.localPosition = new Vector3(-0.1285714f, -0.2571429f, 0f);
                        Limb10.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb10.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb10.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb10.GetComponent<SpriteRenderer>().sortingOrder = -1;
                        Limb10.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb10.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb10.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb10.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb10.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb10.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb10.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb10.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb10.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb10.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb10.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb10.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb11 = person.Limbs[10].gameObject;
                        Limb11.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteSkin11.png");
                        Limb11.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteFlesh11.png").texture);
                        Limb11.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteBone11.png").texture);
                        Limb11.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteDamage11.png").texture);
                        Limb11.transform.localPosition = new Vector3(0.1714286f, -0.2571429f, 0f);
                        Limb11.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb11.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Legs;
                        Limb11.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb11.GetComponent<SpriteRenderer>().sortingOrder = -1;
                        Limb11.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb11.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb11.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb11.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb11.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb11.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb11.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb11.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb11.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb11.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb11.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb11.GetComponent<LimbBehaviour>().HasBrain = false;
                        GameObject Limb12 = person.Limbs[11].gameObject;
                        Limb12.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteSkin12.png");
                        Limb12.GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteFlesh12.png").texture);
                        Limb12.GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteBone12.png").texture);
                        Limb12.GetComponent<SpriteRenderer>().material.SetTexture("_DamageTex", ModAPI.LoadSprite("DogCreatureSprites2/LimbSpriteDamage12.png").texture);
                        Limb12.transform.localPosition = new Vector3(-0.3571429f, 0.04285714f, 0f);
                        Limb12.transform.eulerAngles = new Vector3(0f, 0f, 0f) * Mathf.Sign(person.transform.localScale.x);
                        Limb12.GetComponent<LimbBehaviour>().RoughClassification = LimbBehaviour.BodyPart.Arms;
                        Limb12.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
                        Limb12.GetComponent<SpriteRenderer>().sortingOrder = 0;
                        Limb12.GetComponent<LimbBehaviour>().BaseStrength = 8.5f;
                        Limb12.GetComponent<LimbBehaviour>().BloodMuscleStrengthRatio = 1f;
                        Limb12.GetComponent<LimbBehaviour>().InitialHealth = 50f;
                        Limb12.GetComponent<LimbBehaviour>().Health = 50f;
                        Limb12.GetComponent<LimbBehaviour>().FakeUprightForce = 0.005f;
                        Limb12.GetComponent<LimbBehaviour>().BreakingThreshold = 4f;
                        Limb12.GetComponent<LimbBehaviour>().Vitality = 2f;
                        Limb12.GetComponent<LimbBehaviour>().VitalParts = null;
                        Limb12.GetComponent<CirculationBehaviour>().IsPump = false;
                        Limb12.GetComponent<LimbBehaviour>().HasLungs = false;
                        Limb12.GetComponent<LimbBehaviour>().IsLethalToBreak = false;
                        Limb12.GetComponent<LimbBehaviour>().HasBrain = false;
                        int limbCount = 12;

                        Limb1.GetComponent<GoreStringBehaviour>().Other = Limb2.GetComponent<Rigidbody2D>();
                        var Limb1Joint = Limb1.GetComponent<LimbBehaviour>().Joint;
                        Limb1Joint.anchor = new Vector2(-0.08582947f, -0.07079816f);
                        Limb1Joint.autoConfigureConnectedAnchor = true; Limb1Joint.connectedBody = Limb2.GetComponent<Rigidbody2D>();
                        var lim1 = Limb1Joint.limits;
                        lim1.min = -90f;
                        lim1.max = 90f;
                        Limb1Joint.limits = lim1;
                        Limb1.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb2.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb1.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb2.GetComponent<CirculationBehaviour>(),
               };
                        Limb1.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb2.GetComponent<LimbBehaviour>(),
               };
                        Limb1.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb2.GetComponent<SkinMaterialHandler>(),
               };
                        Limb1Joint.useLimits = true;
                        GameObject.Destroy(Limb2.GetComponent<LimbBehaviour>().Joint);
                        Limb2.GetComponent<LimbBehaviour>().HasJoint = false;
                        Limb2.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb1.GetComponent<ConnectedNodeBehaviour>(),
       Limb3.GetComponent<ConnectedNodeBehaviour>(),
       Limb4.GetComponent<ConnectedNodeBehaviour>(),
       Limb6.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb2.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb1.GetComponent<CirculationBehaviour>(),
       Limb3.GetComponent<CirculationBehaviour>(),
       Limb4.GetComponent<CirculationBehaviour>(),
       Limb6.GetComponent<CirculationBehaviour>(),
               };
                        Limb2.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb1.GetComponent<LimbBehaviour>(),
       Limb3.GetComponent<LimbBehaviour>(),
       Limb4.GetComponent<LimbBehaviour>(),
       Limb6.GetComponent<LimbBehaviour>(),
               };
                        Limb2.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb1.GetComponent<SkinMaterialHandler>(),
       Limb3.GetComponent<SkinMaterialHandler>(),
       Limb4.GetComponent<SkinMaterialHandler>(),
       Limb6.GetComponent<SkinMaterialHandler>(),
               };
                        Limb3.GetComponent<LimbBehaviour>().Joint = Limb3.AddComponent<HingeJoint2D>();
                        Limb3.GetComponent<LimbBehaviour>().HasJoint = true;
                        Limb3.AddComponent<GoreStringBehaviour>().Other = Limb2.GetComponent<Rigidbody2D>();
                        var Limb3Joint = Limb3.GetComponent<LimbBehaviour>().Joint;
                        Limb3Joint.anchor = new Vector2(0.1268011f, 0.004333362f);
                        Limb3Joint.autoConfigureConnectedAnchor = true; Limb3Joint.connectedBody = Limb2.GetComponent<Rigidbody2D>();
                        var lim3 = Limb3Joint.limits;
                        lim3.min = 0f;
                        lim3.max = 90f;
                        Limb3Joint.limits = lim3;
                        Limb3.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb12.GetComponent<ConnectedNodeBehaviour>(),
       Limb5.GetComponent<ConnectedNodeBehaviour>(),
       Limb7.GetComponent<ConnectedNodeBehaviour>(),
       Limb2.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb3.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb12.GetComponent<CirculationBehaviour>(),
       Limb5.GetComponent<CirculationBehaviour>(),
       Limb7.GetComponent<CirculationBehaviour>(),
       Limb2.GetComponent<CirculationBehaviour>(),
               };
                        Limb3.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb12.GetComponent<LimbBehaviour>(),
       Limb5.GetComponent<LimbBehaviour>(),
       Limb7.GetComponent<LimbBehaviour>(),
       Limb2.GetComponent<LimbBehaviour>(),
               };
                        Limb3.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb12.GetComponent<SkinMaterialHandler>(),
       Limb5.GetComponent<SkinMaterialHandler>(),
       Limb7.GetComponent<SkinMaterialHandler>(),
       Limb2.GetComponent<SkinMaterialHandler>(),
               };
                        Limb3Joint.useLimits = true;
                        Limb4.GetComponent<GoreStringBehaviour>().Other = Limb2.GetComponent<Rigidbody2D>();
                        var Limb4Joint = Limb4.GetComponent<LimbBehaviour>().Joint;
                        Limb4Joint.anchor = new Vector2(0.001001298f, 0.02862872f);
                        Limb4Joint.autoConfigureConnectedAnchor = true; Limb4Joint.connectedBody = Limb2.GetComponent<Rigidbody2D>();
                        var lim4 = Limb4Joint.limits;
                        lim4.min = -90f;
                        lim4.max = 90f;
                        Limb4Joint.limits = lim4;
                        Limb4.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb9.GetComponent<ConnectedNodeBehaviour>(),
       Limb2.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb4.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb9.GetComponent<CirculationBehaviour>(),
       Limb2.GetComponent<CirculationBehaviour>(),
               };
                        Limb4.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb9.GetComponent<LimbBehaviour>(),
       Limb2.GetComponent<LimbBehaviour>(),
               };
                        Limb4.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb9.GetComponent<SkinMaterialHandler>(),
       Limb2.GetComponent<SkinMaterialHandler>(),
               };
                        Limb4Joint.useLimits = true;
                        Limb5.GetComponent<GoreStringBehaviour>().Other = Limb3.GetComponent<Rigidbody2D>();
                        var Limb5Joint = Limb5.GetComponent<LimbBehaviour>().Joint;
                        Limb5Joint.anchor = new Vector2(0.01427422f, 0.03403868f);
                        Limb5Joint.autoConfigureConnectedAnchor = true; Limb5Joint.connectedBody = Limb3.GetComponent<Rigidbody2D>();
                        var lim5 = Limb5Joint.limits;
                        lim5.min = -90f;
                        lim5.max = 90f;
                        Limb5Joint.limits = lim5;
                        Limb5.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb8.GetComponent<ConnectedNodeBehaviour>(),
       Limb3.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb5.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb8.GetComponent<CirculationBehaviour>(),
       Limb3.GetComponent<CirculationBehaviour>(),
               };
                        Limb5.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb8.GetComponent<LimbBehaviour>(),
       Limb3.GetComponent<LimbBehaviour>(),
               };
                        Limb5.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb8.GetComponent<SkinMaterialHandler>(),
       Limb3.GetComponent<SkinMaterialHandler>(),
               };
                        Limb5Joint.useLimits = true;
                        Limb6.GetComponent<GoreStringBehaviour>().Other = Limb2.GetComponent<Rigidbody2D>();
                        var Limb6Joint = Limb6.GetComponent<LimbBehaviour>().Joint;
                        Limb6Joint.anchor = new Vector2(0.001371861f, 0.02646473f);
                        Limb6Joint.autoConfigureConnectedAnchor = true; Limb6Joint.connectedBody = Limb2.GetComponent<Rigidbody2D>();
                        var lim6 = Limb6Joint.limits;
                        lim6.min = -88.22903f;
                        lim6.max = 90f;
                        Limb6Joint.limits = lim6;
                        Limb6.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb11.GetComponent<ConnectedNodeBehaviour>(),
       Limb2.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb6.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb11.GetComponent<CirculationBehaviour>(),
       Limb2.GetComponent<CirculationBehaviour>(),
               };
                        Limb6.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb11.GetComponent<LimbBehaviour>(),
       Limb2.GetComponent<LimbBehaviour>(),
               };
                        Limb6.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb11.GetComponent<SkinMaterialHandler>(),
       Limb2.GetComponent<SkinMaterialHandler>(),
               };
                        Limb6Joint.useLimits = true;
                        Limb7.GetComponent<GoreStringBehaviour>().Other = Limb3.GetComponent<Rigidbody2D>();
                        var Limb7Joint = Limb7.GetComponent<LimbBehaviour>().Joint;
                        Limb7Joint.anchor = new Vector2(0.01434347f, 0.0307927f);
                        Limb7Joint.autoConfigureConnectedAnchor = true; Limb7Joint.connectedBody = Limb3.GetComponent<Rigidbody2D>();
                        var lim7 = Limb7Joint.limits;
                        lim7.min = -90f;
                        lim7.max = 90f;
                        Limb7Joint.limits = lim7;
                        Limb7.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb10.GetComponent<ConnectedNodeBehaviour>(),
       Limb3.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb7.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb10.GetComponent<CirculationBehaviour>(),
       Limb3.GetComponent<CirculationBehaviour>(),
               };
                        Limb7.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb10.GetComponent<LimbBehaviour>(),
       Limb3.GetComponent<LimbBehaviour>(),
               };
                        Limb7.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb10.GetComponent<SkinMaterialHandler>(),
       Limb3.GetComponent<SkinMaterialHandler>(),
               };
                        Limb7Joint.useLimits = true;
                        Limb8.GetComponent<GoreStringBehaviour>().Other = Limb5.GetComponent<Rigidbody2D>();
                        var Limb8Joint = Limb8.GetComponent<LimbBehaviour>().Joint;
                        Limb8Joint.anchor = new Vector2(-0.01321517f, 0.05853662f);
                        Limb8Joint.autoConfigureConnectedAnchor = true; Limb8Joint.connectedBody = Limb5.GetComponent<Rigidbody2D>();
                        var lim8 = Limb8Joint.limits;
                        lim8.min = 0f;
                        lim8.max = 90f;
                        Limb8Joint.limits = lim8;
                        Limb8.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb5.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb8.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb5.GetComponent<CirculationBehaviour>(),
               };
                        Limb8.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb5.GetComponent<LimbBehaviour>(),
               };
                        Limb8.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb5.GetComponent<SkinMaterialHandler>(),
               };
                        Limb8Joint.useLimits = true;
                        Limb9.GetComponent<GoreStringBehaviour>().Other = Limb4.GetComponent<Rigidbody2D>();
                        var Limb9Joint = Limb9.GetComponent<LimbBehaviour>().Joint;
                        Limb9Joint.anchor = new Vector2(-0.01458621f, 0.05637261f);
                        Limb9Joint.autoConfigureConnectedAnchor = true; Limb9Joint.connectedBody = Limb4.GetComponent<Rigidbody2D>();
                        var lim9 = Limb9Joint.limits;
                        lim9.min = 0f;
                        lim9.max = 90f;
                        Limb9Joint.limits = lim9;
                        Limb9.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb4.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb9.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb4.GetComponent<CirculationBehaviour>(),
               };
                        Limb9.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb4.GetComponent<LimbBehaviour>(),
               };
                        Limb9.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb4.GetComponent<SkinMaterialHandler>(),
               };
                        Limb9Joint.useLimits = true;
                        Limb10.GetComponent<GoreStringBehaviour>().Other = Limb7.GetComponent<Rigidbody2D>();
                        var Limb10Joint = Limb10.GetComponent<LimbBehaviour>().Joint;
                        Limb10Joint.anchor = new Vector2(-0.01473676f, 0.05126899f);
                        Limb10Joint.autoConfigureConnectedAnchor = true; Limb10Joint.connectedBody = Limb7.GetComponent<Rigidbody2D>();
                        var lim10 = Limb10Joint.limits;
                        lim10.min = 0f;
                        lim10.max = 90f;
                        Limb10Joint.limits = lim10;
                        Limb10.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb7.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb10.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb7.GetComponent<CirculationBehaviour>(),
               };
                        Limb10.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb7.GetComponent<LimbBehaviour>(),
               };
                        Limb10.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb7.GetComponent<SkinMaterialHandler>(),
               };
                        Limb10Joint.useLimits = true;
                        Limb11.GetComponent<GoreStringBehaviour>().Other = Limb6.GetComponent<Rigidbody2D>();
                        var Limb11Joint = Limb11.GetComponent<LimbBehaviour>().Joint;
                        Limb11Joint.anchor = new Vector2(-0.01421577f, 0.05853662f);
                        Limb11Joint.autoConfigureConnectedAnchor = true; Limb11Joint.connectedBody = Limb6.GetComponent<Rigidbody2D>();
                        var lim11 = Limb11Joint.limits;
                        lim11.min = 0f;
                        lim11.max = 90f;
                        Limb11Joint.limits = lim11;
                        Limb11.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb6.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb11.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb6.GetComponent<CirculationBehaviour>(),
               };
                        Limb11.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb6.GetComponent<LimbBehaviour>(),
               };
                        Limb11.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb6.GetComponent<SkinMaterialHandler>(),
               };
                        Limb11Joint.useLimits = true;
                        Limb12.GetComponent<GoreStringBehaviour>().Other = Limb3.GetComponent<Rigidbody2D>();
                        var Limb12Joint = Limb12.GetComponent<LimbBehaviour>().Joint;
                        Limb12Joint.anchor = new Vector2(0.08076718f, -0.002818156f);
                        Limb12Joint.autoConfigureConnectedAnchor = true; Limb12Joint.connectedBody = Limb3.GetComponent<Rigidbody2D>();
                        var lim12 = Limb12Joint.limits;
                        lim12.min = 0f;
                        lim12.max = 360f;
                        Limb12Joint.limits = lim12;
                        Limb12.GetComponent<ConnectedNodeBehaviour>().Connections = new ConnectedNodeBehaviour[]{
       Limb3.GetComponent<ConnectedNodeBehaviour>(),
               };
                        Limb12.GetComponent<CirculationBehaviour>().PushesTo = new CirculationBehaviour[]{
       Limb3.GetComponent<CirculationBehaviour>(),
               };
                        Limb12.GetComponent<LimbBehaviour>().ConnectedLimbs = new List<LimbBehaviour>(){
       Limb3.GetComponent<LimbBehaviour>(),
               };
                        Limb12.GetComponent<SkinMaterialHandler>().adjacentLimbs = new SkinMaterialHandler[]{
       Limb3.GetComponent<SkinMaterialHandler>(),
               };
                        Limb12Joint.useLimits = true;


                        for (int i = limbCount; i < person.Limbs.Length; i++)
                        {
                            person.Limbs[i].PhysicalBehaviour.Disintegrate();
                        }

                        foreach (var Limb in person.Limbs)
                        {
                            Limb.gameObject.FixColliders();
                        }
                        var nocol = Instance.AddComponent<NoCollide>();
                        nocol.NoCollideSetA = Instance.GetComponentsInChildren<Collider2D>();
                        nocol.NoCollideSetB = Instance.GetComponentsInChildren<Collider2D>();

                        person.LinkedPoses[PoseState.Rest].Angles = new List<RagdollPose.LimbPose>();
                        foreach (var limb in person.Limbs)
                        {
                            if (limb != null && !limb.PhysicalBehaviour.isDisintegrated && limb.HasJoint)
                            {
                                person.LinkedPoses[PoseState.Rest].Angles.Add(new RagdollPose.LimbPose(limb, limb.Joint.jointAngle + (limb.transform.eulerAngles.z - limb.Joint.connectedBody.transform.eulerAngles.z) * Mathf.Sign(person.transform.localScale.x)));
                            }
                        }
                        person.LinkedPoses[PoseState.Rest].ConstructDictionary();

                        person.LinkedPoses[PoseState.Protective].Angles = new List<RagdollPose.LimbPose>();
                        foreach (var limb in person.Limbs)
                        {
                            if (limb != null && !limb.PhysicalBehaviour.isDisintegrated && limb.HasJoint)
                            {
                                person.LinkedPoses[PoseState.Protective].Angles.Add(new RagdollPose.LimbPose(limb, limb.Joint.jointAngle + (limb.transform.eulerAngles.z - limb.Joint.connectedBody.transform.eulerAngles.z) * Mathf.Sign(person.transform.localScale.x)));
                            }
                        }
                        person.LinkedPoses[PoseState.Protective].ConstructDictionary();

                        foreach (var item in person.Limbs)
                        {
                            if (item.RoughClassification == LimbBehaviour.BodyPart.Head)
                            {
                                item.NodeBehaviour.IsRoot = true;
                                item.NodeBehaviour.Value = 1000000;
                            }
                            else
                            {
                                item.NodeBehaviour.IsRoot = false;
                                item.NodeBehaviour.Value = 100000;
                            }
                        }

                        foreach (var item in person.Limbs)
                        {
                            if (item.RoughClassification == LimbBehaviour.BodyPart.Head)
                            {
                                item.NodeBehaviour.RootPropagation();
                            }
                        }
                    }
                }
            );
            #endregion
        }

    }
}

//make a class that logs an objects local position and says its name

public class LogPosition : MonoBehaviour
{
    private void Update()
    {
        Debug.Log(gameObject.name + " " + transform.localPosition.y);
    }
}

//make a class that has a function to toggle an 2d box collider size to half its size and changes the offset to half its size and changes the sprite to a different one and back
public class Switchblade : MonoBehaviour,Messages.IUse
{
    private BoxCollider2D boxCollider;
    private SpriteRenderer spriteRenderer;
    private Sprite originalSprite;
    public Sprite newSprite;
    public AudioSource auds;
    public AudioClip FlipSound;
    private bool isColliderOn = false;

    public void Use(ActivationPropagation activation)
    {
        if (isColliderOn)
        {
            boxCollider.size = new Vector2(boxCollider.size.x, boxCollider.size.y / 2);
            boxCollider.offset = new Vector2(boxCollider.offset.x, -0.2f);
            spriteRenderer.sprite = originalSprite;
            isColliderOn = false;
            auds.PlayOneShot(FlipSound);
            GetComponent<PhysicalBehaviour>().Properties.Sharp = false;
            GetComponent<PhysicalBehaviour>().RefreshOutline();

        }
        else
        {
            boxCollider.size = new Vector2(boxCollider.size.x, boxCollider.size.y * 2);
            boxCollider.offset = new Vector2(boxCollider.offset.x, -0.08f);
            spriteRenderer.sprite = newSprite;
            isColliderOn = true;
            auds.PlayOneShot(FlipSound);
            GetComponent<PhysicalBehaviour>().Properties.Sharp = true;
            GetComponent<PhysicalBehaviour>().RefreshOutline();
        }
    }

    private void Start()
    {
        boxCollider = GetComponent<BoxCollider2D>();
        spriteRenderer = GetComponent<SpriteRenderer>();
        originalSprite = spriteRenderer.sprite;
        GameObject AudioObject = new GameObject();
        AudioObject.transform.SetParent(transform, false);
        auds = AudioObject.AddComponent<AudioSource>();
        auds.spatialBlend = 1;
        GetComponent<PhysicalBehaviour>().Properties.Sharp = false;
    }
    
}

public class RogVoice : MonoBehaviour
{
    public AudioClip PantsFeetSong = ModAPI.LoadSound("Sounds/rogsong.wav");
 //   public AudioClip AvengersSong = ModAPI.LoadSound("Wilson Evolved.wav");
    public AudioClip Pain = ModAPI.LoadSound("Sounds/rogpain.wav");
    public AudioClip Dead = ModAPI.LoadSound("Sounds/RogKill.wav");
    public AudioClip sleepp = ModAPI.LoadSound("Sounds/rog sleep.wav");
    public AudioSource audio;
    List<GameObject> Hands = new List<GameObject>();
    bool SetDead = false;
    bool Sleep = false;
    bool Sword = false;
    public void Start()
    {
        GameObject AUdio = new GameObject();
        AUdio.transform.SetParent(transform, false);
        audio = AUdio.gameObject.AddComponent<AudioSource>();
        audio.spatialBlend = 1;
        AUdio.AddComponent<AudioDistortionFilter>().distortionLevel = 0.8f;
        item = GetComponent<LimbBehaviour>();
        foreach (var item in transform.parent.GetComponentsInChildren<GripBehaviour>())
        {
            Hands.Add(item.gameObject);
        }
    }

    public LimbBehaviour item;
    public void Update()
    {
        if (item.IsConsideredAlive && item.Person.Consciousness > 0.8f)
        {
            Sleep = false;
            SetDead = false;
            if (!(item.Person.ShockLevel > 0) && ((!Sword && audio.clip != PantsFeetSong)))
            {
                if (!Sword)
                    audio.clip = PantsFeetSong;
           //     else audio.clip = AvengersSong;
                audio.loop = true;
                audio.Play();
            }
            else
            {
                if ((item.Person.ShockLevel > 0) && audio.clip != Pain)
                {
                    audio.clip = Pain;
                    audio.loop = true;
                    audio.Play();
                }
            }
        }
        else if (item.Person.Consciousness < 0.8f && !Sleep)
        {
            audio.Stop();
            Sleep = true;
            audio.clip = sleepp;
            audio.loop = false;
            audio.Play();
        }
        else if (!item.IsConsideredAlive && !SetDead)
        {
            SetDead = true;
            audio.clip = Dead;
            audio.loop = false;
            audio.Play();
        }


        //if ((Hands[0].GetComponent<GripBehaviour>().CurrentlyHolding && Hands[0].GetComponent<GripBehaviour>().CurrentlyHolding.name == "The Almighty Sword") || (Hands[1].GetComponent<GripBehaviour>().CurrentlyHolding && Hands[1].GetComponent<GripBehaviour>().CurrentlyHolding.name == "The Almighty Sword"))
        //    Sword = true;
        //else Sword = false;


    }


}


//Make a class that makes any object called legs ignore collision with this object in a certain radius of a casted circle.
public class LegsIgnore : MonoBehaviour
{
    public float Radius = 2f;
    public void Start()
    {

    }

    public void Update()
    {
        foreach (var item in Physics2D.OverlapCircleAll(transform.position, Radius))
        {
            if (item.gameObject.name.Contains("Leg") || item.gameObject.name.Contains("Foot"))
                Physics2D.IgnoreCollision(item.gameObject.GetComponent<Collider2D>(), GetComponent<Collider2D>(), true);
                Physics2D.IgnoreCollision(GetComponent<Collider2D>(), transform.GetChild(2).GetComponent<Collider2D>());
                Physics2D.IgnoreCollision(GetComponent<Collider2D>(), transform.GetChild(1).GetComponent<Collider2D>());
                Physics2D.IgnoreCollision(GetComponent<Collider2D>(), transform.GetChild(7).GetComponent<Collider2D>());
                Physics2D.IgnoreCollision(GetComponent<Collider2D>(), transform.GetChild(8).GetComponent<Collider2D>());
        }
    }
}


